/*
	WARNING!!!         WARNING!!!        WARNING!!!         WARNING!!! 

	WARNING: DO NOT EDIT THIS FILE!!!  IT IS AUTOMATICALLY GENERATED
	SOURCE CODE.  ANY CHANGES YOU MAKE WILL BE LOST WHEN THE PROGRAM
	generateGetSisThickness.pl IS NEXT RUN!  See the comments at the
	top of the generateGetSisThickness.pl program for more details.
*/

#include <stdio.h>
#include <string.h>
#include "sisThickMaps.h"

/*
    lots of static variables and arrays follow which
    will be generated from text databases by the routine
    generateGetSisThickness.pl

    tags to be replaced by generateGetSisThickness.pl
    are identified by the form _TAG-WORDS-GO-HERE_, i.e.,
    anything both starting and ending with an underscore
    is a tag to be replaced by a value, or, in the case
    of an array, by many lines.  (these tags are only found
    in the file getSisThickness.template, not in the
    file getSisThickness.c, where they have been
    replaced by data from the databases.)

    IMPORTANT!!!! the interferometer map databases provided
    by mew in early 1997 were off by a factor of 2.  The
    affiliated data rrays generated by generateGetSisThickness.pl
    are corrected before being written into getSisThickness.c.

    Also, the coordinates used in the databases have also
    been changed to "bs coordinates" in the arrays placed
    in getSisThickness.c.  "bs coordinates" are
    defined in a memo on the ACE memo board at
    http://www.srl.caltech.edu/ACE/forum/topics/ACE/
*/

static const int DETECTOR_COUNT = 30;
static const int detectors[] = {
       0,    7,   10,   12,   16,   18,   19,   23,   40,  100, 
     103,  110,  125,  126,  131,  133,  200,  202,  204,  205, 
     208,  209,  214,  216,  221,  228,  229,  230,  232, 1000
};


/* [telescope count][telescope partitions][maximum partition depth]
        = [2][8][6]				*/

static const int detectorsByInstrumentPosition[2][8][6] = {
    {
	{  100,   -1,   -1,   -1,   -1,   -1 },
	{   16,   -1,   -1,   -1,   -1,   -1 },
	{   12,   -1,   -1,   -1,   -1,   -1 },
	{  209,   -1,   -1,   -1,   -1,   -1 },
	{  232,   -1,   -1,   -1,   -1,   -1 },
	{ 1000,  110,  229,   -1,   -1,   -1 },
	{  221,  228,   10,  125,  202,  204 },
	{    7,   -1,   -1,   -1,   -1,   -1 }
    },
    {
	{   18,   -1,   -1,   -1,   -1,   -1 },
	{   19,   -1,   -1,   -1,   -1,   -1 },
	{   23,   -1,   -1,   -1,   -1,   -1 },
	{  216,   -1,   -1,   -1,   -1,   -1 },
	{  230,   -1,   -1,   -1,   -1,   -1 },
	{   40,  131,  214,   -1,   -1,   -1 },
	{    0,  208,  126,  133,  200,  205 },
	{  103,   -1,   -1,   -1,   -1,   -1 }
    }
};
 

static const int X_NODE_COUNT = 21;
static const float xNodes[] = {
      -50,  -45,  -40,  -35,  -30,  -25,  -20,
      -15,  -10,   -5,    0,    5,   10,   15,
       20,   25,   30,   35,   40,   45,   50
};
static int NODE_SEPARATION_IN_X = 5;
 

static const int Y_NODE_COUNT = 21;
static const float yNodes[] = {
      -50,  -45,  -40,  -35,  -30,  -25,  -20,
      -15,  -10,   -5,    0,    5,   10,   15,
       20,   25,   30,   35,   40,   45,   50
};
static int NODE_SEPARATION_IN_Y = 5;
 

/* the dt array is specified in "bs coordinates" and has been
   corrected herein to include the factor of 2 missing from
   the original interferometer maps

   [detector count][node count (x)][node count (y)] 
	= [30][21][21]	*/

static const float dt[30][21][21] = {
    {
	{   10.12,   9.92,   8.94,   8.26,   6.98,   6.12,   5.58,
	     5.74,   5.08,   5.18,   5.24,   5.46,   5.86,   7.04,
	     7.26,   8.12,   9.22,  10.84,   11.9,  13.42,  14.08   },
	{    9.94,   9.06,   8.54,   7.38,   6.58,   5.36,   5.24,
	      5.2,   5.24,   5.18,   5.32,   5.42,   6.06,    6.5,
	     6.92,   7.46,    8.7,   9.74,  11.34,  12.34,  13.88   },
	{     9.2,   8.74,    7.8,   6.98,   6.08,    5.6,   5.04,
	     5.08,   5.24,   5.28,    5.3,   5.52,   5.88,    6.3,
	     6.76,   7.46,   8.08,   9.14,  10.18,  11.74,  12.76   },
	{     8.9,   8.14,   7.36,   6.66,      6,   5.38,   5.14,
	      4.9,    4.9,   4.76,   4.74,   4.98,   5.46,   6.14,
	     6.82,   7.34,   7.92,   8.56,   9.56,  10.56,  12.18   },
	{     8.2,   7.64,   6.66,   6.26,    5.8,   5.26,   4.72,
	      4.4,    4.1,   3.82,   3.72,   4.04,   4.64,   5.56,
	     6.46,   7.24,   7.76,   8.34,   8.86,   9.96,  11.04   },
	{    7.46,   6.54,   6.44,    6.1,   5.62,   4.84,   4.12,
	     3.66,   3.12,   2.68,   2.62,   2.92,   3.64,    4.7,
	      5.8,   6.86,   7.68,    8.1,   8.74,    9.1,  10.56   },
	{    6.92,   6.46,    6.1,   6.06,    5.3,   4.28,    3.5,
	      2.9,   2.22,   1.56,    1.5,   1.82,    2.6,   3.76,
	     5.06,   6.32,   7.34,   8.06,   8.48,   9.22,  10.26   },
	{    7.02,   6.38,   6.32,   5.94,   4.88,   3.94,   3.02,
	     2.34,   1.38,   0.72,   0.54,   0.84,   1.74,   2.96,
	     4.38,   5.76,   6.94,   7.92,   8.68,   9.58,  10.76   },
	{    5.72,   6.44,   6.38,    5.8,   4.76,   3.76,   2.86,
	     1.88,   0.92,   0.12,  -0.08,   0.24,   1.18,   2.48,
	     3.96,   5.44,   6.72,   7.82,    8.9,    9.8,  10.52   },
	{    5.84,   6.14,   6.44,   5.86,   4.86,   3.88,   2.92,
	     1.88,   0.76,  -0.02,  -0.26,   0.04,   1.02,   2.34,
	     3.84,   5.34,   6.64,   7.84,    9.1,   9.88,  10.72   },
	{    5.92,   6.32,   6.64,   6.12,   5.22,   4.22,    3.3,
	      2.2,   1.04,   0.22,      0,   0.32,   1.34,   2.66,
	     4.12,   5.54,   6.72,   8.06,   9.44,  10.28,  11.04   },
	{     6.1,   6.42,   6.92,   6.52,   5.68,    4.8,    3.9,
	     2.82,   1.64,   0.92,   0.66,   1.14,   2.08,   3.34,
	     4.76,   5.92,   7.06,   8.46,   9.86,  10.58,  11.42   },
	{    6.24,   6.94,   7.18,   6.96,   6.28,    5.5,    4.7,
	     3.66,   2.58,    1.9,    1.8,   2.24,   3.16,   4.34,
	     5.52,   6.52,   7.66,   9.08,  10.28,  11.16,   11.7   },
	{    7.42,   7.14,    7.4,    7.4,    6.9,   6.26,    5.6,
	     4.68,   3.72,   3.24,   3.16,   3.62,   4.48,   5.56,
	     6.42,   7.34,   8.42,   9.66,  10.64,  11.42,  12.56   },
	{    7.48,    7.4,   7.46,   7.74,   7.48,   7.04,   6.54,
	     5.82,   5.08,   4.68,    4.7,   5.14,      6,   6.72,
	     7.48,   8.32,   9.24,  10.08,  10.76,  11.66,  12.54   },
	{    8.12,   7.68,   7.92,   7.96,   7.98,    7.8,   7.54,
	      7.1,   6.52,    6.2,   6.34,   6.76,   7.32,    7.9,
	     8.52,   9.24,   9.76,  10.24,   11.1,  11.76,  13.16   },
	{    9.06,    8.8,   8.28,   8.42,   8.28,   8.48,   8.52,
	      8.4,   8.02,   7.82,    7.9,   8.14,    8.6,   9.02,
	      9.5,   9.82,    9.9,  10.68,  11.32,  12.56,   13.8   },
	{   10.52,   9.68,   9.36,   8.94,   8.96,   8.88,    9.3,
	     9.52,    9.4,    9.2,    9.2,   9.32,   9.62,    9.9,
	     9.98,   9.84,  10.26,   10.7,   12.1,  13.18,  14.76   },
	{   11.54,  11.18,  10.26,   9.92,   9.26,   9.48,   9.58,
	    10.18,  10.18,  10.02,  10.02,  10.06,  10.22,  10.18,
	     9.82,  10.06,  10.18,   11.7,  12.74,  14.36,   15.3   },
	{   13.36,  12.18,  11.82,  10.88,  10.48,   9.72,  10.08,
	    10.44,   10.6,  10.92,  10.96,  10.82,   10.5,   10.3,
	       10,   9.86,  11.28,  12.36,  13.98,  14.96,   16.6   },
	{   14.22,  13.94,  12.82,  12.38,  11.48,  11.06,  10.96,
	    11.38,  11.76,  11.96,   12.1,  11.76,  11.42,  11.14,
	    10.62,  11.02,  11.92,  13.64,  14.74,  16.44,  17.22   }
    },
    {
	{   -4.58,  -4.74,  -5.12,   -5.4,  -5.88,  -6.28,  -6.58,
	    -6.52,  -7.16,  -7.18,  -7.12,  -7.04,  -7.18,   -6.6,
	    -6.66,   -6.7,  -6.68,  -6.78,  -6.96,   -7.1,  -7.44   },
	{   -3.94,   -4.3,  -4.48,  -4.92,  -5.12,  -5.64,  -5.78,
	    -5.82,  -5.84,  -6.06,  -5.96,  -5.92,  -5.76,   -5.9,
	     -5.9,  -6.04,  -6.04,  -6.32,  -6.48,  -6.74,  -6.92   },
	{   -3.54,   -3.7,  -4.08,  -4.28,  -4.48,   -4.6,  -4.84,
	     -4.8,  -4.84,  -4.86,  -4.86,  -4.82,   -4.8,  -4.86,
	     -5.2,  -5.38,  -5.68,  -5.98,  -6.24,   -6.3,  -6.62   },
	{   -3.08,   -3.3,  -3.46,  -3.44,   -3.6,  -3.62,  -3.68,
	     -3.9,   -4.1,  -4.22,  -4.24,  -4.24,  -4.24,  -4.24,
	    -4.34,  -4.64,  -5.14,  -5.42,  -5.92,  -6.22,  -6.34   },
	{   -2.78,  -2.68,  -2.88,  -2.78,  -2.66,   -2.7,  -2.96,
	    -3.24,  -3.52,   -3.7,  -3.78,  -3.82,  -3.84,  -3.86,
	    -3.88,  -4.08,  -4.48,  -5.04,  -5.66,   -5.9,  -6.34   },
	{   -2.36,  -2.34,  -2.08,  -1.88,  -1.78,  -2.02,  -2.32,
	    -2.66,  -2.98,  -3.24,  -3.36,  -3.44,  -3.48,  -3.52,
	    -3.54,  -3.64,   -3.9,  -4.44,  -5.08,  -5.94,  -6.08   },
	{   -1.72,  -1.56,  -1.36,     -1,  -1.06,  -1.36,  -1.72,
	    -2.08,  -2.44,   -2.7,  -2.86,     -3,  -3.06,  -3.12,
	    -3.14,  -3.22,   -3.4,  -3.74,   -4.6,  -5.18,  -5.62   },
	{   -0.92,  -0.82,   -0.4,  -0.24,  -0.38,   -0.7,   -1.1,
	    -1.46,   -1.8,  -2.08,   -2.3,  -2.44,  -2.54,  -2.62,
	    -2.64,   -2.7,  -2.78,  -3.02,  -3.58,   -4.3,  -4.64   },
	{   -0.78,      0,    0.4,   0.46,   0.28,  -0.04,  -0.42,
	    -0.78,  -1.12,   -1.4,  -1.64,  -1.78,   -1.9,  -1.98,
	       -2,     -2,  -2.02,  -2.18,  -2.58,  -3.36,   -4.5   },
	{    0.04,    0.6,   1.14,   1.16,   0.96,   0.64,   0.28,
	    -0.06,  -0.38,  -0.66,  -0.88,  -1.02,  -1.12,  -1.18,
	    -1.16,  -1.12,  -1.12,  -1.24,  -1.58,  -2.58,  -3.52   },
	{    0.76,   1.34,   1.86,   1.86,   1.66,   1.38,   1.04,
	      0.7,   0.44,   0.18,      0,  -0.12,   -0.2,  -0.22,
	    -0.22,   -0.2,  -0.24,  -0.32,  -0.68,  -1.58,  -2.58   },
	{    1.42,   1.96,   2.52,   2.56,   2.38,    2.1,    1.8,
	     1.52,    1.3,   1.12,   0.96,   0.88,    0.8,   0.74,
	     0.72,   0.74,   0.68,   0.56,   0.24,  -0.72,  -1.68   },
	{     1.9,   2.68,   3.14,   3.24,    3.1,   2.88,    2.6,
	     2.36,    2.2,   2.08,   1.98,   1.88,   1.78,    1.7,
	     1.66,   1.66,   1.58,   1.44,   1.02,   0.16,  -1.06   },
	{       3,   3.18,   3.64,   3.88,   3.82,   3.66,   3.44,
	     3.26,   3.14,   3.04,    2.9,    2.8,   2.72,   2.66,
	      2.6,   2.58,   2.46,   2.22,   1.66,   0.78,   0.22   },
	{    3.46,    3.7,   3.98,   4.42,   4.52,   4.44,   4.32,
	      4.2,   4.08,   3.92,    3.8,   3.72,   3.64,   3.56,
	      3.5,    3.4,    3.2,   2.84,   2.08,   1.46,   0.82   },
	{    4.14,   4.18,   4.56,   4.84,    5.1,   5.18,   5.14,
	     5.06,   4.92,   4.78,   4.66,   4.56,   4.48,   4.36,
	     4.22,   4.04,   3.76,   3.22,   2.58,   2.02,    1.5   },
	{    4.96,   5.08,   5.04,   5.24,   5.54,   5.76,   5.78,
	     5.74,   5.66,   5.54,    5.4,    5.3,   5.16,   4.98,
	     4.74,   4.44,   3.98,   3.34,   2.96,    2.7,   2.26   },
	{    5.88,   5.62,   5.54,   5.72,   5.66,   6.02,   6.14,
	     6.18,   6.18,   6.12,   6.02,   5.84,   5.64,    5.3,
	      4.9,    4.4,   3.86,   3.64,   3.22,    3.1,   3.08   },
	{    6.62,   6.52,    6.1,   5.96,   5.86,   5.96,   5.96,
	     6.22,   6.36,   6.42,    6.3,   6.14,   5.76,    5.2,
	      4.5,   4.22,   3.82,   3.74,   3.66,   3.92,   3.84   },
	{    7.68,   7.22,   7.02,   6.46,   6.34,   5.96,   5.98,
	      6.2,   6.34,   6.48,    6.4,    6.1,   5.56,   5.02,
	     4.34,    3.9,    4.2,   4.12,    4.6,   4.62,   4.98   },
	{    8.48,   8.24,   7.66,   7.36,   6.74,   6.42,   6.34,
	     6.58,   6.68,   6.64,   6.54,   6.16,   5.82,   5.28,
	     4.58,   4.36,   4.48,   5.04,   5.24,   5.74,   5.86   }
    },
    {
	{  -14.12, -14.14, -14.88, -14.72,  -13.6, -12.84,  -12.1,
	   -11.84,  -12.5, -12.34, -11.72,  -11.3,  -11.5, -11.36,
	   -11.96,  -12.1, -12.14,  -11.2, -10.38,  -8.44,  -7.36   },
	{  -14.14,  -14.5, -14.06,  -13.1, -11.26,  -9.64,  -9.46,
	    -9.46,  -9.24,  -9.44,  -8.62,  -8.42,  -8.48,  -8.86,
	    -9.54,  -9.88,  -9.92,  -10.4,  -9.14,  -8.68,  -7.08   },
	{   -14.7, -13.88, -13.24, -11.64,   -9.5,   -8.2,  -7.04,
	    -6.68,  -6.68,  -6.22,  -5.86,  -5.76,  -5.72,  -5.98,
	    -6.56,  -6.98,  -7.56,  -8.38,  -8.64,  -7.76,   -7.6   },
	{  -14.34, -13.28, -11.84,  -9.36,  -7.96,  -5.66,  -4.68,
	    -4.44,  -4.34,  -4.12,  -4.08,  -3.68,  -3.34,  -3.12,
	     -3.3,  -3.96,  -5.08,  -5.92,   -6.9,  -7.22,  -7.14   },
	{  -14.06,  -12.1, -10.54,  -8.22,  -5.76,  -3.92,  -2.84,
	    -2.44,  -2.28,  -2.74,  -2.62,  -2.06,  -1.32,  -0.86,
	    -0.74,  -1.12,  -1.84,  -3.68,  -4.82,  -5.56,   -6.9   },
	{  -13.48, -11.66,  -8.98,  -6.44,  -4.22,  -2.58,  -1.38,
	     -0.6,   -0.9,  -1.44,  -1.24,  -0.38,   0.56,    1.3,
	     1.52,   1.56,   0.76,   -0.7,  -2.64,  -4.02,   -5.9   },
	{  -12.34, -10.18,   -7.7,  -4.84,  -2.76,     -1,   0.24,
	     0.84,   0.06,  -0.56,  -0.44,   0.42,   1.44,   2.18,
	     2.84,   2.94,   2.66,    1.6,  -0.58,  -2.72,  -4.62   },
	{   -11.1,  -8.78,  -5.54,  -3.26,  -1.66,  -0.38,   0.82,
	     0.76,  -0.02,  -0.66,   -0.5,   0.34,   1.42,   2.46,
	     3.28,   3.68,   3.64,    2.8,    0.9,   -1.4,     -3   },
	{  -10.88,  -7.26,  -4.62,  -2.82,  -1.32,  -0.04,   0.88,
	     0.46,  -0.32,  -0.86,   -0.7,   0.12,   1.24,   2.64,
	     3.56,   4.26,   4.44,   4.02,   2.16,   -0.1,  -2.52   },
	{   -9.58,  -6.88,  -4.18,   -2.3,  -0.78,   0.66,   0.98,
	      0.4,  -0.38,  -0.76,  -0.54,   0.14,   1.44,   2.72,
	     3.96,   4.82,   5.34,   4.88,   3.32,    0.9,  -1.34   },
	{   -9.12,   -6.3,  -3.58,  -1.48,    0.2,   1.54,   1.32,
	     0.66,  -0.04,   -0.3,      0,   0.58,   1.82,    3.1,
	     4.34,    5.3,   5.76,    5.3,    4.2,    2.2,   -0.3   },
	{   -8.56,   -5.8,  -2.82,  -0.54,   1.34,   2.34,   1.92,
	     1.18,   0.62,   0.46,    0.7,   1.38,   2.24,    3.5,
	     4.64,    5.6,   5.76,   5.36,   4.34,    2.4,   0.16   },
	{    -8.8,   -5.5,   -2.3,   0.18,   2.24,   2.84,   2.48,
	     1.92,    1.6,   1.64,   1.82,   2.44,    3.1,   4.12,
	     5.14,   5.78,   5.64,   5.18,   4.06,    1.8,  -0.76   },
	{    -8.7,  -5.82,  -2.44,   0.32,   2.66,   3.24,   3.02,
	      2.6,   2.44,   2.62,   2.92,   3.32,   3.82,   4.56,
	     5.42,   5.58,    5.3,   4.52,   2.88,   0.78,  -0.62   },
	{   -9.06,  -6.14,  -3.16,  -0.12,   2.28,   3.08,   3.22,
	     3.14,    3.2,   3.48,   3.96,   4.12,   4.36,   4.76,
	     5.32,    5.2,   4.74,    3.7,   1.44,  -0.32,  -1.62   },
	{    -9.7,   -6.7,  -4.22,  -1.34,   1.32,   2.58,    3.1,
	     3.32,   3.56,   3.84,   4.38,   4.44,   4.48,   4.68,
	     4.88,   4.62,      4,   2.52,   0.74,  -1.26,  -2.12   },
	{   -9.28,  -6.76,  -5.42,  -2.84,  -0.12,    1.6,   2.58,
	     3.06,   3.36,    3.6,   4.02,   4.06,      4,    4.1,
	     3.96,    3.7,   2.94,    1.2,  -0.22,   -0.9,  -2.04   },
	{   -7.56,  -6.86,  -5.44,   -3.5,  -1.64,   0.22,   1.54,
	     2.26,    2.7,   2.96,   3.22,   3.34,   3.24,   3.24,
	      2.9,   2.48,   1.24,   0.62,  -0.82,  -1.44,   -1.5   },
	{   -6.36,  -5.64,  -5.48,  -4.24,  -2.42,  -1.04,   0.22,
	     1.22,   1.58,   1.64,   1.66,   1.76,   1.68,   1.56,
	     1.02,    0.7,   0.28,  -0.86,   -1.4,  -1.02,  -1.14   },
	{   -4.38,  -4.86,  -4.32,  -4.52,  -3.12,  -2.02,  -1.04,
	    -0.32,   -0.1,    0.2,   0.16,   0.06,   -0.2,  -0.34,
	    -0.76,  -0.88,  -0.94,  -1.54,     -1,  -0.98,   0.16   },
	{   -3.46,  -3.52,  -4.22,  -3.88,  -3.72,  -2.88,  -2.16,
	    -1.54,  -1.14,   -1.1,  -1.04,  -1.24,  -1.26,  -1.54,
	     -1.8,  -1.86,  -1.86,  -1.44,  -1.28,  -0.04,   0.56   }
    },
    {
	{   -4.32,  -4.32,  -4.66,  -4.92,  -5.26,  -5.32,  -5.16,
	    -4.58,  -5.48,  -5.06,  -5.18,  -5.54,  -6.32,   -5.8,
	    -6.52,     -7,  -7.24,  -7.22,  -7.24,  -6.48,  -6.24   },
	{    -4.4,  -4.44,  -4.28,  -4.56,  -3.98,     -4,  -3.62,
	    -3.06,  -2.62,   -2.7,  -2.74,  -3.14,  -3.52,  -4.24,
	    -4.78,  -5.44,  -5.72,  -6.54,  -6.62,  -6.98,  -6.34   },
	{   -4.68,  -4.26,   -4.5,  -3.98,   -3.2,  -2.32,  -1.78,
	    -0.98,  -0.64,  -0.48,  -0.46,  -0.66,  -1.24,  -2.04,
	    -3.02,  -3.76,  -4.66,  -5.74,  -6.52,  -6.58,   -7.1   },
	{   -4.96,  -4.72,  -4.08,  -2.64,  -1.88,  -0.26,   0.54,
	     0.66,   0.56,   0.58,    0.7,   0.66,   0.26,  -0.34,
	    -1.02,  -1.96,  -3.38,  -4.24,   -5.8,  -6.66,  -7.22   },
	{    -5.5,  -4.22,  -3.08,   -1.9,   0.18,   1.44,   1.88,
	      1.7,    1.5,   1.46,   1.56,    1.5,   1.16,   0.68,
	     0.16,  -0.52,   -1.7,  -3.48,  -4.98,  -6.04,  -7.68   },
	{    -5.6,  -4.38,  -2.54,  -0.62,   1.08,    2.1,   2.46,
	     2.38,   2.26,    2.2,   2.14,      2,   1.66,    1.3,
	     0.94,   0.44,   -0.5,     -2,  -4.04,  -6.04,  -7.82   },
	{    -5.6,  -4.02,  -2.24,  -0.04,   1.24,   2.06,   2.44,
	     2.62,    2.7,    2.5,   2.26,   2.04,   1.84,   1.68,
	     1.52,   1.08,   0.28,   -0.9,  -3.26,  -5.36,  -7.48   },
	{   -4.96,  -3.58,  -1.54,   0.14,   1.12,   1.74,   2.14,
	      2.5,    2.6,   2.34,   1.92,   1.68,    1.6,    1.7,
	      1.7,   1.42,    0.8,   -0.1,   -2.1,  -4.92,   -6.7   },
	{   -5.94,  -3.08,  -1.02,   0.36,    1.1,    1.5,    1.9,
	     2.24,   2.14,   1.68,    1.2,   1.04,   1.12,   1.26,
	     1.32,   1.26,      1,   0.46,  -1.24,  -4.14,   -8.1   },
	{   -5.42,  -2.96,  -0.56,   0.68,   1.26,   1.54,   1.88,
	     2.02,    1.6,    0.9,    0.4,   0.32,   0.48,   0.68,
	     0.82,   0.92,      1,   0.78,  -0.64,     -4,  -7.28   },
	{   -5.06,  -2.52,  -0.12,   1.08,    1.6,    1.8,   2.08,
	     2.04,   1.38,   0.54,      0,   -0.1,   0.08,   0.26,
	     0.42,   0.64,   0.86,   0.84,  -0.32,   -3.4,  -6.84   },
	{   -4.82,  -2.36,   0.16,   1.44,   1.98,   2.18,   2.36,
	     2.26,   1.64,   0.76,   0.16,   0.04,    0.1,   0.18,
	      0.3,    0.5,    0.7,   0.72,  -0.44,  -3.52,  -6.82   },
	{   -5.14,  -1.94,   0.34,   1.72,   2.34,   2.54,   2.62,
	     2.58,   2.08,   1.28,   0.66,    0.5,   0.44,   0.44,
	     0.46,   0.54,   0.64,   0.42,  -1.04,   -3.9,  -7.94   },
	{   -4.02,  -2.32,   0.22,   1.86,   2.58,   2.76,   2.76,
	     2.78,   2.44,   1.76,   1.18,   0.96,   0.92,    0.9,
	     0.82,    0.7,   0.56,  -0.12,  -2.16,  -5.08,   -6.8   },
	{   -4.38,  -2.58,  -0.66,   1.48,   2.46,   2.68,   2.66,
	     2.62,   2.48,   2.12,   1.72,   1.42,   1.34,   1.34,
	     1.16,   0.78,    0.2,  -1.14,  -3.94,  -6.18,  -8.08   },
	{   -4.76,  -3.06,  -1.66,   0.24,   1.62,   2.06,   2.06,
	     2.08,   2.18,    2.2,    1.9,   1.56,    1.4,    1.3,
	     1.02,    0.4,   -0.6,  -2.64,  -4.82,  -7.36,  -8.42   },
	{   -4.72,  -3.36,  -2.92,  -1.78,  -0.12,   0.76,   0.98,
	     1.12,   1.44,   1.66,    1.5,   1.14,   0.92,   0.72,
	     0.28,  -0.52,  -1.98,   -4.1,     -6,  -6.68,  -8.02   },
	{   -4.42,  -4.16,  -3.86,   -2.9,  -2.22,  -1.28,  -0.54,
	    -0.12,    0.2,   0.42,   0.32,  -0.02,  -0.26,  -0.48,
	    -1.02,  -2.14,  -3.84,  -4.98,  -6.42,  -7.06,  -6.96   },
	{   -4.38,  -4.22,   -4.6,   -4.3,  -3.86,  -3.06,  -2.84,
	    -1.14,  -1.76,  -1.68,   -1.9,   -1.1,  -2.36,  -2.44,
	    -3.14,  -4.12,  -5.16,  -6.34,  -7.02,  -6.44,  -6.76   },
	{   -3.88,  -4.46,  -4.52,  -5.34,  -4.88,  -5.14,   -4.3,
	    -3.88,   -3.9,  -3.36,  -3.76,   -3.8,  -4.12,  -4.48,
	     -5.3,  -5.76,  -6.32,  -7.18,   -6.5,  -6.58,  -5.72   },
	{   -3.56,   -4.1,  -5.06,   -5.6,  -6.26,   -6.1,  -5.88,
	    -5.52,  -5.28,   -5.5,  -5.24,  -5.58,  -5.66,  -6.06,
	     -6.7,  -7.22,  -7.46,     -7,   -6.8,  -5.72,  -5.54   }
    },
    {
	{  -11.58, -10.96,  -9.98,  -9.56,  -9.34,  -8.86,   -8.4,
	     -8.2,   -8.5,  -7.86,  -8.04,  -7.84,  -8.66,  -8.42,
	    -8.94,   -9.4,  -9.94, -10.52, -10.94, -11.16, -11.28   },
	{  -11.48, -10.38,  -9.46,  -8.76,  -8.16,  -7.74,  -6.74,
	    -6.78,  -6.24,  -6.22,  -6.66,  -6.12,  -6.52,     -7,
	    -7.28,   -8.1,  -8.78,  -9.78, -10.42, -11.08, -11.36   },
	{  -11.02,  -9.88,  -8.98,  -8.24,  -7.34,  -6.58,  -5.84,
	    -4.78,  -4.44,  -4.62,  -4.86,  -4.36,  -4.48,  -5.36,
	     -6.1,   -6.9,   -7.7,  -8.96,    -10, -10.76, -11.54   },
	{  -10.76,  -9.44,  -8.58,  -7.74,   -6.7,  -5.68,     -5,
	    -3.94,  -3.24,  -3.24,   -3.3,  -3.36,  -3.44,  -4.16,
	    -4.94,  -5.62,  -6.76,   -7.8,   -9.2, -10.28, -11.34   },
	{  -10.28,     -9,  -7.78,  -7.04,   -5.5,  -4.46,  -4.02,
	    -3.42,   -2.8,  -2.74,   -2.7,     -3,   -2.8,  -3.28,
	     -3.7,  -4.28,  -5.34,  -6.98,  -8.32,   -9.5, -11.08   },
	{   -9.94,  -8.72,   -7.5,  -6.16,   -4.8,  -3.84,  -3.38,
	    -2.96,  -2.46,  -2.34,  -2.08,  -2.12,  -2.02,  -2.28,
	     -2.7,  -3.34,  -4.34,   -5.7,  -7.36,  -8.76, -10.72   },
	{   -9.88,  -8.38,  -7.26,  -6.14,  -4.86,  -4.08,  -3.22,
	    -2.36,  -1.82,  -1.58,  -1.38,  -1.32,  -1.34,  -1.46,
	    -1.72,   -2.5,   -3.3,  -4.76,  -6.38,  -8.16, -10.04   },
	{   -9.78,  -8.36,  -7.04,  -5.82,  -4.86,  -3.88,  -2.88,
	    -1.88,  -1.26,  -0.92,  -1.04,     -1,  -0.86,  -0.96,
	    -1.14,  -1.76,  -2.66,  -3.98,   -5.7,  -7.76,  -9.54   },
	{  -10.18,  -8.16,  -6.48,  -5.24,  -4.24,  -3.08,  -2.02,
	    -1.26,   -0.8,   -0.7,  -1.14,  -1.46,  -0.74,  -0.24,
	    -0.54,  -1.18,  -2.34,  -3.44,  -5.24,  -7.24,  -9.34   },
	{   -9.86,  -7.76,  -5.94,  -4.22,  -3.38,  -2.48,   -1.5,
	    -0.62,  -0.16,   -0.1,  -0.44,   -1.3,  -1.08,   0.08,
	    -0.22,  -1.28,  -2.34,  -3.42,  -5.06,  -6.88,  -8.92   },
	{   -9.76,  -7.72,  -5.74,  -3.96,  -3.06,   -2.2,  -1.36,
	    -0.32,   0.32,   0.42,      0,   -0.8,   -1.3,  -0.26,
	    -0.26,  -1.14,  -2.32,  -3.36,  -4.82,  -6.84,  -8.86   },
	{  -10.16,  -8.06,  -6.14,  -4.34,  -3.36,  -2.54,  -1.34,
	     -0.5,   0.02,   0.12,  -0.14,  -0.88,  -0.96,  -0.56,
	    -0.44,   -1.1,  -2.22,  -3.48,  -5.18,   -7.1,   -9.2   },
	{   -10.8,  -8.78,   -6.8,  -4.92,  -3.82,  -3.36,  -2.34,
	    -1.04,  -0.62,   -0.5,  -0.46,  -0.72,  -1.08,   -1.1,
	    -1.12,  -1.74,   -2.6,  -4.04,  -5.76,  -7.72,  -9.76   },
	{   -11.2,   -9.5,   -7.5,  -5.46,  -4.26,     -4,  -3.38,
	    -1.86,  -1.12,  -0.78,  -0.56,  -0.88,  -1.48,   -1.8,
	    -2.14,  -2.66,  -3.46,   -4.6,  -6.46,   -8.3,    -10   },
	{  -11.86, -10.34,   -8.3,   -6.3,   -4.9,  -4.34,  -3.62,
	    -2.48,   -1.7,  -1.48,  -1.34,  -1.74,  -2.36,  -2.82,
	    -3.28,  -3.72,  -4.22,  -5.42,  -7.06,  -8.92, -10.46   },
	{   -12.4, -10.94,  -8.98,  -7.06,  -5.48,  -4.42,  -3.54,
	    -2.94,  -2.42,  -2.24,  -1.96,  -2.54,  -3.26,  -3.84,
	    -4.24,  -4.48,   -5.1,   -6.3,  -7.94,  -9.42, -11.12   },
	{   -12.4, -10.82,  -9.66,  -8.16,  -6.42,  -5.06,     -4,
	    -3.38,  -3.14,  -3.06,   -2.7,  -3.12,  -3.78,  -4.24,
	    -4.76,  -5.16,  -6.02,  -7.42,  -8.72,  -9.74, -11.46   },
	{     -12, -11.26, -10.34,   -8.8,   -7.8,  -6.28,  -5.14,
	     -4.6,  -4.34,  -4.44,  -4.16,  -4.26,   -4.6,  -4.88,
	    -5.52,  -6.26,  -7.18,  -7.96,  -9.26, -10.34,  -11.7   },
	{   -12.2, -11.16, -10.68,  -9.78,  -8.98,  -7.64,  -6.72,
	    -5.34,  -5.76,  -5.78,  -5.74,  -5.94,   -6.3,  -5.86,
	     -6.8,  -7.36,  -8.02,  -8.92,  -9.82, -10.86, -11.88   },
	{  -12.64, -11.56, -10.68,  -10.4,  -9.48,  -8.64,  -7.88,
	     -7.4,  -7.28,   -7.1,  -7.52,   -7.5,  -7.68,  -7.74,
	    -8.04,   -8.6,  -8.74,  -9.52, -10.32, -11.28, -12.18   },
	{   -12.7, -12.06,  -11.2, -10.62, -10.38,  -9.84,   -9.1,
	    -8.86,  -8.76,  -8.92,  -8.86,  -9.02,  -8.78,  -8.84,
	    -8.96,  -9.34,  -9.64, -10.28, -11.06,    -12,  -12.4   }
    },
    {
	{  -12.62,  -12.5, -12.28,  -11.7, -10.86, -10.12,  -9.42,
	    -8.86,  -8.56,  -8.12,  -7.68,  -7.38,  -7.78,  -8.18,
	    -8.72,   -9.3,  -9.84, -10.02, -10.18, -10.22, -10.28   },
	{  -12.48, -12.36,  -11.6, -10.78,  -9.68,  -8.56,  -7.96,
	    -7.56,   -7.1,  -6.76,  -6.16,  -5.96,  -6.24,  -6.74,
	    -7.16,  -7.94,   -8.7,  -9.46,  -9.66, -10.08, -10.26   },
	{  -12.66,  -11.9,  -11.1,  -9.94,  -8.64,  -7.66,   -6.6,
	    -6.14,   -5.6,  -5.24,  -4.84,  -4.64,   -4.7,  -5.14,
	    -5.88,  -6.72,  -7.62,  -8.64,  -9.38,  -9.66,  -10.3   },
	{  -12.56, -11.52,  -10.3,   -8.8,  -7.66,  -6.38,  -5.48,
	    -4.78,  -4.32,  -3.96,  -3.62,  -3.46,  -3.52,   -3.9,
	    -4.62,  -5.32,   -6.5,  -7.58,   -8.6,  -9.44,  -10.1   },
	{  -12.38,  -10.7,  -9.38,  -7.96,  -6.52,  -5.24,  -4.36,
	    -3.82,  -3.44,  -2.98,  -2.54,  -2.44,   -2.6,  -2.78,
	    -3.14,  -3.84,  -4.92,  -6.46,  -7.56,   -8.6,   -9.8   },
	{  -11.92,  -9.76,  -8.44,  -6.72,  -5.42,   -4.3,  -3.34,
	    -2.84,  -2.52,  -1.94,  -1.62,  -1.62,  -1.84,  -1.96,
	    -2.18,  -2.68,   -3.7,  -5.12,  -6.58,   -7.8,   -9.3   },
	{  -11.14,  -9.28,   -7.4,  -5.78,  -4.38,  -3.38,  -2.52,
	    -1.96,  -1.72,  -1.22,  -0.96,  -1.08,  -1.26,  -1.32,
	    -1.52,  -2.02,   -2.9,  -4.16,  -5.62,   -7.1,  -8.66   },
	{  -10.84,  -8.88,   -6.9,  -5.06,  -3.64,  -2.64,  -1.96,
	    -1.48,  -1.04,   -0.7,  -0.52,  -0.76,  -0.76,  -0.74,
	    -0.98,  -1.58,  -2.44,  -3.52,  -4.94,  -6.58,  -8.18   },
	{   -10.5,  -8.42,   -6.4,  -4.44,  -3.16,  -2.48,  -1.88,
	    -1.12,   -0.5,  -0.34,   -0.2,  -0.56,  -0.58,  -0.32,
	    -0.62,  -1.38,  -2.22,   -3.1,  -4.36,  -6.08,  -8.24   },
	{  -10.06,   -7.9,  -5.98,  -3.96,  -3.22,  -3.14,  -2.08,
	    -0.96,  -0.16,      0,   0.02,   -0.4,  -0.66,  -0.08,
	    -0.36,  -1.18,   -1.9,  -2.64,   -3.9,  -5.68,  -7.72   },
	{   -9.74,  -7.74,  -5.56,  -4.04,  -3.76,  -3.44,     -2,
	    -0.82,  -0.32,      0,      0,   -0.4,  -0.48,    0.3,
	    -0.06,  -0.92,  -1.66,   -2.5,  -3.76,  -5.72,  -7.66   },
	{   -9.76,  -7.52,  -5.52,  -4.18,  -3.48,  -2.56,  -1.36,
	     -0.8,  -0.74,  -0.32,  -0.48,  -0.92,  -0.62,   0.18,
	     -0.2,   -0.9,  -1.62,  -2.58,     -4,  -5.92,  -7.94   },
	{  -10.52,  -7.96,  -5.86,  -4.34,  -3.36,  -2.44,  -1.46,
	    -1.06,  -0.88,  -0.68,  -1.04,  -0.94,  -0.54,  -0.32,
	    -0.76,  -1.28,  -1.88,  -2.84,  -4.44,  -6.32,  -8.38   },
	{   -10.4,  -8.72,  -6.54,  -5.06,  -4.02,   -3.1,  -2.28,
	    -1.84,  -1.72,  -1.54,  -1.42,  -1.18,  -1.24,  -1.24,
	    -1.42,  -1.76,  -2.22,  -3.28,  -4.96,  -6.76,  -8.38   },
	{  -11.04,   -9.3,  -7.72,  -5.98,  -4.72,   -3.7,  -2.94,
	    -2.38,   -2.4,  -2.42,   -2.2,  -2.02,  -1.98,  -1.96,
	    -1.98,  -2.24,  -2.82,  -4.02,  -5.46,  -7.16,  -8.82   },
	{   -11.7, -10.16,   -8.6,     -7,  -5.66,  -4.56,  -3.64,
	       -3,   -2.9,  -3.06,  -2.94,  -2.84,  -2.66,  -2.54,
	    -2.48,  -2.84,   -3.7,  -4.98,  -6.42,  -7.72,  -9.44   },
	{  -12.22,  -10.7,  -9.62,  -8.26,  -6.76,   -5.6,  -4.56,
	    -3.82,   -3.6,  -3.74,  -3.82,  -3.84,  -3.56,   -3.3,
	    -3.24,  -3.68,  -4.68,     -6,  -7.26,   -8.2,  -9.64   },
	{   -12.5, -11.52,  -10.5,  -9.14,  -8.06,  -6.78,  -5.74,
	    -4.92,  -4.56,   -4.6,  -4.72,  -4.74,  -4.44,  -4.22,
	    -4.26,  -4.72,   -5.9,  -6.76,   -7.9,  -8.72,  -9.46   },
	{  -12.86, -12.02, -11.36,  -10.4,  -9.16,  -8.14,  -7.04,
	     -6.4,  -5.84,  -5.68,  -5.64,  -5.48,  -5.48,  -5.48,
	    -5.46,  -6.06,  -6.68,  -7.68,   -8.4,  -8.78,  -9.38   },
	{  -12.44,  -12.3, -11.62, -11.28, -10.22,  -9.28,  -8.58,
	    -7.92,  -7.54,  -6.98,  -6.56,  -6.48,  -6.56,  -6.62,
	     -6.8,  -6.82,  -7.56,  -8.28,   -8.4,  -8.88,  -9.32   },
	{  -12.16, -12.08,    -12, -11.46, -11.12, -10.52,  -9.76,
	    -9.26,  -8.68,  -8.24,  -7.72,  -7.44,  -7.46,  -7.62,
	    -7.82,  -7.96,  -8.22,   -8.4,  -8.74,   -9.1,  -9.24   }
    },
    {
	{  -15.82, -15.74, -15.72, -15.28, -14.68, -13.78,  -12.9,
	   -12.22,  -12.5,  -11.6, -11.52,  -11.5, -12.06,  -11.8,
	   -12.26, -12.84,  -13.4, -14.02,  -14.4, -14.46, -14.54   },
	{  -15.68, -15.48, -14.88, -14.26, -12.98, -11.88, -10.84,
	    -10.3,  -9.48,  -9.22,  -9.16,  -9.12,  -9.44,  -9.96,
	    -10.4, -11.14, -11.68, -12.92, -13.48,  -14.1, -14.34   },
	{  -15.62, -14.84, -14.44, -13.28, -11.72, -10.36,  -9.18,
	    -7.94,  -7.06,  -6.78,  -6.82,  -6.82,  -7.12,   -7.7,
	    -8.44,  -9.34,  -10.2, -11.86,  -12.9, -13.46, -14.24   },
	{  -15.32,  -14.8, -13.56, -11.96, -10.42,  -8.58,  -7.34,
	    -6.38,  -5.74,  -5.28,  -5.26,  -5.26,  -5.36,  -5.82,
	    -6.58,  -7.64,     -9, -10.32, -11.98, -13.16, -13.98   },
	{   -15.4, -13.84, -12.32, -10.64,  -8.58,  -6.98,  -5.86,
	     -5.1,  -4.44,  -4.12,  -4.08,  -4.02,  -4.14,  -4.66,
	    -5.32,   -5.9,   -7.1,  -9.28, -11.12, -12.36, -14.08   },
	{  -14.76, -12.92, -11.08,  -9.08,  -7.18,  -5.56,  -4.68,
	    -4.04,  -3.28,  -2.92,  -2.92,  -2.96,  -3.04,  -3.54,
	     -4.1,  -4.56,  -5.48,   -7.5,   -9.8, -11.94,  -13.7   },
	{  -13.82,  -11.9,   -9.9,  -7.86,  -6.06,  -4.66,  -3.92,
	    -3.34,  -2.52,   -1.9,  -1.78,  -1.88,  -2.06,  -2.54,
	       -3,  -3.44,  -4.38,  -6.14,  -8.56, -10.96, -12.84   },
	{  -12.86, -11.02,  -8.78,  -6.86,  -5.28,  -4.18,  -3.42,
	    -2.74,     -2,  -1.26,  -0.88,  -1.04,  -1.38,  -1.84,
	    -2.22,  -2.72,  -3.72,   -5.1,   -7.4,  -9.82,  -11.7   },
	{  -12.14, -10.14,     -8,   -6.3,   -5.1,  -4.12,  -3.08,
	    -2.28,  -1.58,  -0.78,   -0.3,   -0.5,  -1.02,   -1.4,
	    -1.74,  -2.34,   -3.3,  -4.56,   -6.5,  -8.84, -11.14   },
	{  -11.36,  -9.62,  -7.78,  -6.36,  -5.34,  -4.24,  -3.04,
	    -2.06,  -1.34,   -0.6,  -0.14,  -0.12,  -0.54,     -1,
	    -1.34,  -2.06,  -3.06,  -4.32,     -6,  -8.14, -10.28   },
	{  -11.24,  -9.44,  -7.78,  -6.48,  -5.58,   -4.6,   -3.2,
	    -1.98,  -1.18,  -0.58,      0,   0.28,   0.08,  -0.54,
	       -1,  -1.92,  -3.08,  -4.22,  -5.74,  -7.76,  -9.94   },
	{  -11.16,  -9.46,  -7.74,  -6.52,  -5.62,  -4.68,  -3.32,
	       -2,  -1.12,   -0.6,      0,   0.44,   0.32,  -0.32,
	    -1.02,  -1.94,  -3.04,  -4.22,  -5.84,  -7.78,  -9.84   },
	{  -11.76,   -9.7,  -7.78,  -6.48,  -5.42,  -4.48,  -3.26,
	     -2.1,  -1.44,  -0.78,  -0.08,    0.3,   0.02,   -0.5,
	    -1.24,  -2.08,     -3,  -4.08,  -5.76,  -7.84, -10.16   },
	{     -12, -10.34,   -8.4,  -6.76,  -5.56,  -4.68,  -3.56,
	    -2.58,  -1.98,  -1.32,  -0.56,  -0.18,  -0.38,  -0.92,
	    -1.68,  -2.52,  -3.28,  -4.34,   -6.1,   -8.3, -10.04   },
	{  -12.64, -11.04,  -9.28,   -7.5,  -6.26,   -5.3,  -4.28,
	    -3.38,  -2.62,  -1.86,   -1.1,  -0.82,  -0.96,  -1.38,
	    -2.22,  -3.14,   -3.9,  -5.06,  -6.76,  -8.62, -10.34   },
	{  -13.38, -11.86, -10.32,   -8.8,  -7.26,  -5.92,  -4.94,
	    -4.02,  -3.06,  -2.36,  -1.84,  -1.62,   -1.8,  -2.22,
	    -3.02,  -3.98,   -4.9,  -6.06,  -7.84,  -9.06, -11.06   },
	{  -13.64, -12.26, -11.38,   -9.7,  -8.32,  -6.56,  -5.38,
	    -4.48,  -3.36,  -2.94,  -2.78,  -2.66,  -2.84,   -3.3,
	    -4.14,  -5.32,  -6.38,  -7.74,  -8.92,  -9.94, -11.52   },
	{  -13.78, -12.94, -11.84, -10.64,  -9.38,  -7.68,  -6.18,
	    -4.84,  -4.04,  -3.92,  -3.98,   -3.9,  -4.06,  -4.68,
	    -5.58,  -6.76,  -7.84,  -8.84, -10.14,    -11, -12.06   },
	{  -14.12, -13.14, -12.44,  -11.3, -10.54,  -9.04,  -7.82,
	    -5.86,  -6.02,  -5.84,   -5.9,  -5.84,  -5.82,  -4.82,
	    -7.16,  -7.92,  -9.38, -10.02,    -11, -11.68, -12.46   },
	{  -14.08, -13.56,  -12.7, -11.98, -10.94, -10.42,  -9.22,
	    -8.46,   -8.3,   -7.8,  -7.84,  -7.32,   -7.6,  -7.48,
	     -7.9,  -9.22,  -10.1, -11.12,  -11.5,  -12.1, -12.54   },
	{  -14.06, -13.62, -13.12, -12.38, -11.82, -10.98, -10.22,
	    -9.64,  -9.64,  -9.68,  -8.88,   -9.3,  -9.14,   -9.3,
	    -9.46, -10.36, -11.24, -11.74, -12.14,  -12.3, -12.46   }
    },
    {
	{  -11.28, -11.24, -11.68,  -11.8, -11.92, -11.64,    -11,
	   -10.46, -11.86, -11.04, -11.18, -11.62,  -12.6, -11.12,
	   -12.14, -12.46, -12.12, -11.24,  -10.8, -10.02,  -9.94   },
	{  -11.52, -11.54, -10.96,  -10.8,   -9.7,   -9.1,  -8.14,
	    -7.84,   -7.1,  -7.02,  -7.14,  -7.62,  -7.76,  -8.68,
	    -9.44, -10.32,  -9.94,  -10.6,  -9.96, -10.28,  -9.82   },
	{  -12.06, -11.12, -10.86,  -9.76,  -8.28,   -6.9,  -5.68,
	    -4.36,  -3.52,  -3.18,  -3.24,  -3.58,  -4.18,  -5.06,
	    -6.48,  -7.44,   -8.7,  -9.56,  -10.2,   -9.8, -10.44   },
	{  -12.26, -11.22, -10.02,  -7.96,  -6.62,  -4.48,  -3.06,
	    -2.02,  -1.38,  -1.08,  -1.14,   -1.5,  -1.88,   -2.3,
	    -3.06,   -4.5,  -6.52,   -7.6,   -9.4, -10.24, -10.72   },
	{  -12.54, -10.36,  -8.68,  -6.86,  -4.24,  -2.52,  -1.38,
	    -0.68,  -0.26,   -0.1,  -0.24,  -0.56,  -0.86,  -0.98,
	    -1.24,     -2,  -3.76,  -6.34,  -8.34,   -9.4, -11.52   },
	{  -12.44, -10.12,  -7.72,   -5.2,  -2.92,  -1.36,  -0.38,
	     0.16,    0.4,    0.4,   0.18,   -0.1,   -0.3,  -0.34,
	     -0.4,  -0.78,  -1.84,  -4.16,  -6.94,  -9.62, -11.78   },
	{  -12.08,  -9.44,  -6.92,  -4.18,  -2.28,  -0.96,  -0.08,
	     0.42,   0.68,   0.58,   0.32,    0.1,  -0.02,  -0.08,
	    -0.08,  -0.26,  -0.92,  -2.48,   -5.8,   -8.7, -11.38   },
	{   -11.6,  -9.12,  -5.96,  -3.56,  -1.98,  -0.96,  -0.18,
	     0.38,   0.64,   0.56,   0.26,   0.06,   0.04,   0.06,
	     0.04,  -0.08,  -0.56,  -1.72,  -4.36,     -8, -10.36   },
	{   -12.7,  -8.56,  -5.32,  -3.16,   -1.8,  -0.94,  -0.28,
	      0.2,   0.48,   0.38,   0.16,   0.06,    0.1,   0.16,
	      0.1,  -0.06,  -0.42,  -1.26,  -3.42,  -7.08, -12.18   },
	{   -12.1,  -8.52,  -5.06,  -2.96,  -1.74,  -0.96,   -0.4,
	        0,   0.28,   0.22,   0.08,   0.16,   0.34,   0.36,
	      0.2,  -0.08,  -0.34,  -0.96,  -2.82,  -7.02,  -11.2   },
	{   -12.2,  -8.58,   -5.1,  -2.96,  -1.74,  -0.94,  -0.44,
	    -0.06,   0.16,    0.1,      0,   0.14,   0.38,   0.44,
	     0.24,  -0.06,  -0.28,   -0.7,  -2.42,  -6.46, -10.76   },
	{  -12.56,  -8.98,  -5.38,  -3.12,  -1.76,  -0.88,  -0.36,
	        0,   0.16,   0.06,   -0.1,  -0.04,   0.18,    0.3,
	      0.2,   0.04,  -0.14,  -0.62,  -2.36,  -6.46, -10.66   },
	{  -13.28,  -9.16,  -5.84,  -3.36,  -1.86,  -0.92,   -0.3,
	      0.1,   0.24,   0.14,  -0.08,  -0.12,   0.02,    0.1,
	     0.06,   0.02,  -0.18,  -0.76,  -2.68,  -6.22, -11.38   },
	{  -12.44,  -9.86,   -6.5,   -3.8,  -2.18,  -1.22,  -0.44,
	     0.14,   0.36,   0.22,   0.02,   -0.1,  -0.02,   0.02,
	    -0.04,  -0.08,   -0.3,  -1.06,  -3.34,  -6.86,  -9.14   },
	{  -13.08,  -10.4,  -7.56,  -4.68,  -2.86,  -1.72,  -0.78,
	    -0.04,   0.28,    0.2,  -0.02,  -0.14,  -0.08,  -0.04,
	    -0.12,  -0.24,  -0.62,  -1.76,  -4.62,  -7.14,  -9.68   },
	{  -13.64,  -11.1,  -8.58,     -6,  -3.86,  -2.36,  -1.16,
	    -0.36,      0,  -0.06,  -0.24,   -0.4,  -0.38,  -0.32,
	    -0.36,  -0.62,  -1.42,   -3.3,  -5.62,   -7.9,  -9.92   },
	{   -13.6,  -11.2,  -9.66,   -7.5,  -5.16,  -3.24,  -1.84,
	    -0.98,   -0.6,  -0.58,  -0.74,  -0.92,  -0.96,   -0.9,
	    -1.04,  -1.64,  -3.12,   -5.2,  -6.86,  -7.58,  -9.54   },
	{   -13.3, -12.02, -10.62,   -8.4,   -7.1,  -4.88,  -3.34,
	    -2.32,  -1.76,   -1.7,  -1.88,   -2.1,  -2.18,  -2.22,
	    -2.66,   -3.8,  -5.46,   -6.3,   -7.7,  -8.28,  -8.84   },
	{  -13.14, -12.02, -11.42, -10.16,  -8.74,  -7.22,  -5.76,
	    -4.64,  -4.02,   -3.9,  -4.06,  -4.24,  -4.36,   -3.5,
	    -5.56,  -6.08,   -7.4,  -7.76,  -8.26,  -7.92,  -8.46   },
	{  -12.18, -12.08, -11.22, -11.12,  -9.88,  -9.04,  -8.24,
	    -7.34,  -7.02,  -6.56,  -6.34,  -5.96,  -6.52,  -6.78,
	    -7.46,  -8.34,  -8.06,  -8.62,  -7.76,     -8,  -7.68   },
	{   -11.6, -11.36, -11.56, -11.06,  -11.1, -10.72,   -9.9,
	    -9.28,  -8.82,  -8.66,  -7.82,  -7.96,  -8.06,   -8.5,
	     -9.1,   -9.4,   -9.3,  -8.46,   -8.2,  -7.54,  -7.46   }
    },
    {
	{    4.98,   5.14,   5.22,   5.18,    4.9,   4.56,   4.22,
	     4.28,   3.98,      4,    4.2,   4.54,    5.1,   5.98,
	     6.44,   7.46,   8.46,    9.4,  10.06,  10.64,  11.12   },
	{     5.1,   5.04,   4.84,   4.54,      4,   3.36,   3.24,
	     3.22,   3.22,   3.16,   3.38,    3.7,   4.34,   4.94,
	     5.48,   6.18,   7.58,   8.72,    9.7,  10.52,  11.24   },
	{    5.14,    4.8,   4.46,   3.94,   3.16,   2.76,   2.32,
	     2.28,   2.28,   2.38,   2.58,   2.92,    3.4,      4,
	     4.66,   5.76,   6.82,   8.14,   9.28,  10.28,  11.24   },
	{     5.1,    4.5,    3.9,   3.04,   2.54,    1.9,    1.6,
	     1.38,    1.3,   1.36,   1.54,   1.92,   2.48,    3.2,
	     4.06,   4.98,   6.26,    7.4,   8.72,    9.9,  11.14   },
	{     4.8,   3.92,    3.1,   2.52,   1.68,   1.18,   0.76,
	     0.52,   0.46,   0.52,   0.74,   1.12,   1.66,    2.4,
	     3.34,   4.44,    5.6,   6.86,   8.02,   9.34,  10.76   },
	{    4.42,   3.18,   2.62,    1.7,   1.06,   0.48,   0.08,
	     -0.1,  -0.12,      0,    0.2,   0.58,    1.1,   1.82,
	     2.72,    3.8,      5,    6.2,   7.56,   8.58,  10.32   },
	{    3.98,   3.02,    2.1,   1.32,   0.54,  -0.06,   -0.4,
	    -0.52,  -0.46,  -0.32,  -0.06,    0.3,   0.82,   1.46,
	     2.26,   3.32,   4.56,    5.9,   7.06,   8.44,    9.9   },
	{    3.96,   2.92,   1.96,   1.04,   0.18,  -0.38,  -0.66,
	    -0.74,  -0.62,  -0.44,  -0.16,    0.2,   0.66,   1.26,
	     2.04,   3.04,   4.26,   5.66,   7.02,    8.4,   9.94   },
	{    3.58,    2.8,   1.84,   0.84,   0.04,   -0.5,  -0.76,
	    -0.78,  -0.68,   -0.5,  -0.18,    0.2,   0.68,   1.24,
	     1.98,   2.94,   4.12,   5.56,   7.02,   8.38,   9.52   },
	{    3.48,   2.62,   1.84,    0.8,  -0.02,  -0.52,  -0.72,
	    -0.74,  -0.62,  -0.44,  -0.12,   0.26,   0.76,   1.34,
	     2.06,   2.98,   4.16,    5.6,   7.08,    8.3,   9.52   },
	{     3.6,   2.78,   1.96,    0.9,    0.1,   -0.4,   -0.6,
	    -0.62,   -0.5,  -0.32,      0,    0.4,    0.9,   1.52,
	     2.26,   3.16,   4.32,   5.76,   7.24,   8.46,    9.6   },
	{    3.84,   2.96,   2.18,   1.16,   0.34,  -0.14,  -0.36,
	    -0.38,  -0.24,  -0.06,   0.24,   0.66,   1.14,   1.76,
	     2.52,   3.42,   4.56,   5.96,   7.38,    8.5,   9.68   },
	{    4.28,    3.5,   2.52,   1.56,   0.76,   0.22,      0,
	    -0.04,   0.06,   0.24,   0.54,   0.96,   1.48,   2.08,
	     2.84,   3.76,   4.88,   6.18,   7.48,    8.6,   9.62   },
	{    5.02,   3.96,   3.02,   2.14,   1.32,   0.76,   0.48,
	      0.4,   0.48,   0.64,   0.92,    1.3,   1.82,   2.44,
	      3.2,   4.12,   5.22,    6.4,   7.46,   8.48,   9.76   },
	{    5.38,   4.42,   3.52,   2.86,   2.08,   1.46,   1.08,
	     0.92,      1,    1.1,   1.34,   1.74,   2.24,   2.88,
	     3.66,   4.56,   5.56,   6.54,   7.22,   8.24,   9.46   },
	{    6.16,      5,    4.4,    3.6,   2.94,    2.3,   1.82,
	     1.56,   1.56,   1.66,   1.88,   2.28,    2.8,   3.46,
	     4.22,   5.08,    5.9,   6.56,   7.54,   8.12,   9.76   },
	{    6.86,   5.96,   5.18,   4.52,   3.78,   3.24,   2.74,
	     2.42,   2.32,    2.4,   2.64,      3,   3.52,   4.18,
	     4.88,   5.62,   6.16,    7.1,    7.7,      9,  10.26   },
	{     7.4,   6.74,    6.1,   5.34,    4.7,    4.1,   3.72,
	      3.4,   3.26,   3.32,   3.54,    3.9,   4.38,      5,
	     5.58,   6.08,   6.86,   7.44,   8.68,   9.64,   11.1   },
	{     7.7,   7.28,   6.84,   6.26,   5.46,   4.98,   4.44,
	      4.3,   3.78,   4.22,    4.4,   4.76,   5.18,   5.68,
	     6.08,   6.72,    7.3,   8.38,   9.28,  10.46,   11.4   },
	{     7.7,   7.62,   7.28,   6.98,   6.36,   5.62,    5.3,
	     5.06,   5.14,   5.22,   5.36,   5.76,   6.02,   6.36,
	     6.74,   7.18,   8.16,   9.04,   9.96,  10.78,  11.86   },
	{    7.76,   7.76,   7.76,   7.46,   7.12,   6.62,    6.2,
	     6.16,    6.2,   6.44,   6.56,   6.68,   6.98,   7.24,
	      7.5,   8.16,   8.88,   9.66,  10.38,   11.3,  11.96   }
    },
    {
	{   -6.54,  -6.84,  -6.74,  -6.48,  -6.42,  -6.52,  -6.32,
	    -6.04,  -7.16,  -6.76,  -6.64,   -6.4,  -6.94,  -6.72,
	     -7.2,  -7.68,  -7.64,  -7.44,  -7.52,  -7.88,  -8.18   },
	{   -6.52,  -6.42,     -6,  -5.68,   -5.1,   -5.1,  -4.62,
	    -4.76,  -4.36,  -4.94,  -4.46,  -4.56,  -4.68,  -5.34,
	    -5.76,   -6.4,  -6.22,  -6.62,  -7.16,  -7.72,  -8.18   },
	{   -6.56,  -6.04,  -5.72,  -5.18,  -4.56,  -3.84,  -3.34,
	     -2.5,  -2.18,  -2.56,   -2.7,  -2.76,  -2.66,  -3.24,
	    -4.24,  -4.84,  -5.58,   -6.1,   -6.7,  -7.24,  -8.06   },
	{   -6.64,     -6,  -5.18,   -4.3,  -3.52,  -2.44,  -1.74,
	    -1.36,  -1.22,  -1.38,  -1.48,  -1.48,  -1.36,  -1.82,
	     -2.5,  -3.32,  -4.54,     -5,  -6.26,  -6.96,  -7.88   },
	{    -6.7,  -5.38,   -4.8,  -3.52,  -2.38,   -1.3,  -0.94,
	    -0.68,  -0.62,   -0.5,  -0.64,  -0.46,   -0.5,  -0.92,
	    -1.54,  -2.08,  -3.06,  -4.56,   -5.3,  -6.54,  -7.66   },
	{   -6.48,   -5.1,  -3.78,  -2.22,  -1.06,  -0.44,  -0.46,
	    -0.34,  -0.02,   0.34,   0.14,   0.14,  -0.16,  -0.88,
	    -1.42,  -1.88,  -2.66,  -3.86,  -5.26,  -6.48,  -7.66   },
	{   -5.92,  -4.46,  -2.82,   -1.1,  -0.18,   0.32,   0.32,
	     0.34,   0.94,      1,   0.54,   0.06,   -0.3,  -0.64,
	    -1.36,  -2.08,   -2.7,   -3.8,  -5.04,   -6.5,  -7.66   },
	{    -5.3,   -3.9,  -1.94,   -0.4,   0.32,    1.1,   1.02,
	     1.04,   1.42,   1.02,    0.7,   0.24,   0.02,  -0.24,
	    -0.92,  -2.06,   -2.7,   -3.7,  -5.32,  -6.26,  -7.44   },
	{   -5.52,  -3.28,  -1.22,   0.02,   0.78,   1.54,   1.58,
	     1.44,   0.94,   0.24,   0.34,    0.4,   0.38,  -0.12,
	    -0.78,  -1.76,  -2.52,  -3.48,  -4.68,  -6.26,   -7.8   },
	{   -4.86,  -3.06,  -1.12,    0.1,    0.9,   1.32,   1.22,
	     1.24,   0.44,  -0.04,   0.16,   0.18,    0.1,    0.2,
	     -0.9,  -1.98,  -2.54,  -3.04,  -4.04,  -5.72,   -7.6   },
	{   -4.78,  -2.96,  -1.22,  -0.22,   0.66,   1.06,    1.3,
	     0.92,   -0.1,   -0.3,      0,   0.14,    0.1,   0.54,
	    -0.72,  -1.84,  -2.42,  -3.06,     -4,  -5.72,   -7.5   },
	{   -4.82,  -3.04,  -1.48,   -0.5,   0.32,   0.94,   1.32,
	     0.94,  -0.14,  -0.82,   -0.5,   -0.5,   -0.3,    0.2,
	     -0.8,  -2.04,  -2.56,  -3.38,  -4.46,  -6.04,  -7.82   },
	{   -5.52,   -3.4,  -1.74,   -0.7,   -0.1,    0.4,   0.92,
	     1.02,   0.66,  -0.44,  -0.78,   -0.6,   -0.2,   -0.3,
	    -1.16,  -2.26,  -2.86,  -3.66,   -4.9,  -6.08,  -8.04   },
	{   -5.74,  -4.18,  -2.42,  -1.32,  -0.76,  -0.38,    0.1,
	     0.44,   0.56,  -0.08,  -0.38,   -0.5,   -0.7,  -0.92,
	    -1.56,  -2.46,  -2.92,  -3.72,  -4.88,  -6.44,  -7.64   },
	{   -6.56,  -4.82,  -3.54,  -2.76,  -1.76,  -1.12,  -0.66,
	    -0.28,   -0.1,  -0.56,  -0.86,  -0.98,  -1.18,  -1.32,
	    -1.98,  -2.68,  -3.12,  -4.04,  -5.44,  -6.76,  -7.92   },
	{   -7.34,   -6.6,  -4.96,  -4.78,  -2.88,  -1.68,  -1.26,
	     -1.1,   -0.8,  -1.04,  -1.44,  -1.46,   -1.4,  -1.78,
	    -2.92,  -3.06,  -3.52,  -4.64,   -5.9,  -7.08,  -8.18   },
	{   -7.72,  -6.56,  -5.96,  -4.68,  -3.26,  -2.28,  -1.88,
	    -1.72,   -1.5,  -1.66,  -2.12,  -2.18,  -1.86,   -2.1,
	    -2.78,  -3.24,   -4.2,   -5.3,  -6.44,     -7,  -8.08   },
	{   -7.68,   -7.1,  -6.36,  -5.86,  -4.78,   -3.2,  -2.62,
	    -2.28,  -2.14,  -2.34,  -2.72,   -2.8,  -2.68,  -2.84,
	    -3.18,  -4.06,  -5.14,   -5.6,   -6.6,  -7.26,  -8.28   },
	{   -7.94,   -7.3,   -6.9,  -6.16,  -5.08,  -4.46,   -3.9,
	    -3.44,  -3.26,   -3.3,  -3.76,  -4.04,  -4.04,   -4.3,
	    -4.82,  -5.38,     -6,  -6.54,  -7.24,  -7.82,  -8.58   },
	{   -7.92,  -7.64,   -7.1,   -6.7,  -6.06,  -5.44,  -5.16,
	    -4.82,  -4.82,  -4.72,  -4.74,  -5.06,  -5.62,  -5.96,
	    -6.42,   -6.6,  -6.44,  -7.16,  -7.58,   -8.1,  -8.72   },
	{   -7.76,   -7.7,   -7.6,  -7.06,  -6.64,  -6.16,  -5.98,
	     -5.7,  -5.78,  -5.86,  -5.64,  -5.98,  -6.54,  -6.92,
	    -7.02,  -7.44,  -7.22,   -7.5,   -7.8,  -8.26,  -8.66   }
    },
    {
	{   -7.32,  -7.18,  -7.36,  -7.18,  -7.06,  -6.64,  -5.98,
	    -5.32,  -5.26,  -4.56,  -4.22,   -4.1,   -4.4,   -4.1,
	     -4.4,  -4.74,  -4.84,  -4.66,  -4.54,  -4.06,   -3.9   },
	{   -7.38,   -7.4,  -6.96,  -6.74,     -6,  -5.46,  -4.72,
	     -4.1,  -3.38,  -2.92,  -2.58,  -2.44,  -2.48,  -2.82,
	    -3.08,   -3.5,  -3.74,  -4.24,  -4.16,  -4.34,  -4.04   },
	{   -7.76,  -7.14,  -6.86,  -6.14,  -5.26,  -4.34,  -3.48,
	    -2.56,  -1.86,  -1.34,     -1,  -0.84,  -0.88,  -1.16,
	    -1.74,  -2.34,  -3.02,  -3.66,  -4.14,  -4.12,   -4.5   },
	{   -7.76,  -7.12,  -6.34,  -5.16,   -4.3,  -3.08,  -2.14,
	    -1.38,  -0.76,  -0.32,   0.04,    0.2,   0.24,    0.1,
	    -0.32,  -1.04,  -2.02,  -2.68,  -3.64,   -4.2,  -4.56   },
	{   -7.78,  -6.56,   -5.6,   -4.5,  -3.12,  -2.08,  -1.24,
	    -0.58,   -0.1,   0.32,   0.62,   0.84,   0.94,   0.88,
	     0.62,   0.08,  -0.78,     -2,  -2.98,  -3.66,   -4.7   },
	{   -7.56,  -6.26,  -4.96,  -3.58,  -2.36,   -1.4,  -0.68,
	    -0.14,   0.26,   0.58,   0.88,   1.12,   1.28,   1.34,
	      1.2,   0.82,   0.14,  -0.94,  -2.22,  -3.38,  -4.52   },
	{   -7.18,   -5.8,   -4.4,   -2.9,  -1.82,  -1.02,  -0.42,
	        0,   0.28,   0.56,   0.86,   1.16,    1.4,   1.52,
	      1.5,   1.26,   0.74,  -0.16,  -1.56,  -2.86,  -4.08   },
	{   -6.82,  -5.44,  -3.78,  -2.44,  -1.48,  -0.78,  -0.34,
	    -0.08,   0.12,   0.34,   0.66,   1.04,   1.38,    1.6,
	     1.66,   1.52,   1.12,   0.36,  -0.84,   -2.4,  -3.56   },
	{   -6.94,  -5.02,   -3.4,  -2.16,  -1.26,   -0.7,  -0.38,
	     -0.2,  -0.12,   0.06,    0.4,   0.86,    1.3,   1.62,
	     1.76,   1.68,   1.36,    0.7,  -0.38,  -1.88,  -3.72   },
	{   -6.54,  -4.86,   -3.2,     -2,  -1.18,  -0.66,  -0.42,
	    -0.34,  -0.34,   -0.2,   0.16,   0.66,   1.18,   1.58,
	     1.78,   1.78,    1.5,   0.92,  -0.08,  -1.66,  -3.22   },
	{    -6.5,   -4.8,  -3.18,     -2,   -1.2,  -0.68,  -0.48,
	    -0.42,  -0.42,  -0.34,      0,   0.52,    1.1,   1.54,
	      1.8,   1.84,    1.6,   1.02,   0.08,  -1.44,  -3.02   },
	{    -6.6,  -4.92,   -3.3,  -2.12,  -1.28,  -0.76,  -0.48,
	     -0.4,   -0.4,   -0.3,  -0.02,   0.48,   1.06,   1.52,
	      1.8,   1.88,   1.64,   1.08,   0.12,  -1.38,  -2.96   },
	{   -7.04,  -5.14,  -3.54,  -2.34,  -1.46,  -0.88,  -0.52,
	    -0.34,  -0.26,  -0.14,   0.12,   0.54,   1.08,    1.5,
	     1.82,   1.88,   1.62,      1,   0.02,  -1.44,  -3.26   },
	{   -6.96,   -5.6,  -3.98,   -2.7,  -1.72,  -1.04,  -0.58,
	     -0.3,  -0.12,   0.06,   0.32,   0.68,   1.14,   1.52,
	     1.76,   1.76,   1.44,    0.8,  -0.28,  -1.76,  -2.92   },
	{   -7.38,     -6,  -4.64,  -3.18,  -2.14,  -1.32,  -0.72,
	    -0.32,  -0.04,   0.22,   0.48,   0.82,   1.18,   1.46,
	      1.6,    1.5,   1.08,   0.36,  -0.82,     -2,  -3.18   },
	{   -7.84,  -6.54,   -5.3,  -3.94,  -2.74,  -1.82,  -1.08,
	    -0.54,  -0.14,   0.18,   0.48,    0.8,   1.04,   1.22,
	      1.2,   0.98,   0.48,  -0.38,   -1.5,  -2.38,  -3.58   },
	{   -8.16,  -6.96,  -6.04,  -4.96,  -3.64,   -2.6,  -1.74,
	    -1.08,  -0.56,  -0.16,   0.18,   0.46,   0.64,   0.66,
	      0.5,   0.14,   -0.5,  -1.52,  -2.24,  -2.84,  -3.84   },
	{   -8.28,  -7.64,  -6.86,  -5.74,   -4.9,  -3.72,  -2.74,
	    -1.94,  -1.32,  -0.84,  -0.48,  -0.22,  -0.12,   -0.2,
	    -0.52,  -1.04,   -1.8,  -2.28,  -3.08,  -3.48,  -3.84   },
	{    -8.4,  -7.78,   -7.5,   -6.8,  -5.98,  -5.04,  -4.18,
	    -3.22,  -2.44,  -1.88,  -1.48,  -1.24,  -1.24,  -0.88,
	    -1.94,  -2.22,  -2.86,  -3.24,  -3.58,   -3.5,  -3.74   },
	{   -7.94,  -7.98,  -7.52,   -7.5,  -6.78,   -6.3,  -5.52,
	    -4.62,  -3.92,  -3.24,   -2.8,  -2.42,  -2.52,  -2.54,
	    -2.88,   -3.4,  -3.48,  -3.86,  -3.48,  -3.54,  -3.14   },
	{   -7.84,  -7.64,  -7.86,  -7.58,  -7.62,  -7.16,   -6.5,
	    -5.64,  -4.96,   -4.5,  -3.86,  -3.78,  -3.56,  -3.64,
	    -3.88,  -4.12,  -4.24,  -3.84,  -3.72,  -3.08,  -2.82   }
    },
    {
	{     4.1,   3.84,   3.26,   2.88,   2.32,      2,   1.84,
	     1.86,   1.44,   1.42,   1.22,      1,   0.74,   0.96,
	     0.68,    0.7,   0.88,   1.28,   1.42,   1.74,    1.8   },
	{    3.96,   3.42,   3.12,   2.56,    2.3,   1.92,   1.92,
	      1.9,   1.88,   1.72,   1.56,   1.28,   1.16,   0.92,
	     0.72,   0.54,   0.88,   1.02,   1.36,   1.46,   1.78   },
	{    3.54,   3.28,   2.72,   2.42,    2.1,    2.1,   2.06,
	     2.16,   2.14,      2,   1.82,    1.6,   1.38,   1.12,
	     0.82,   0.84,   0.78,   0.96,    1.1,    1.4,   1.52   },
	{    3.38,   2.88,   2.58,   2.28,   2.22,   2.22,    2.3,
	     2.24,   2.12,   1.94,   1.76,   1.54,   1.36,    1.2,
	      1.1,   0.94,   0.94,      1,   1.02,   1.14,   1.42   },
	{    2.98,   2.74,   2.32,   2.34,    2.3,   2.36,   2.26,
	      2.1,    1.9,   1.68,    1.5,    1.3,   1.18,   1.14,
	      1.1,   1.12,   1.08,      1,   0.98,    1.1,   1.18   },
	{     2.8,    2.3,   2.46,   2.36,    2.4,   2.28,   2.06,
	     1.84,   1.56,   1.34,   1.16,      1,   0.92,   0.92,
	        1,   1.02,    1.1,   1.02,      1,   0.86,   1.02   },
	{    2.74,   2.54,   2.42,   2.56,   2.38,   2.12,   1.82,
	     1.52,   1.24,   0.98,   0.82,    0.7,   0.64,   0.68,
	      0.8,   0.92,   1.06,    1.1,   0.98,   0.94,   0.96   },
	{    2.92,    2.7,   2.92,   2.66,   2.28,   1.92,   1.56,
	     1.24,   0.94,   0.66,   0.48,    0.4,    0.4,   0.48,
	     0.62,   0.82,      1,   1.12,   1.14,   1.04,    1.1   },
	{    2.68,   2.94,   2.72,   2.48,   2.14,   1.76,   1.38,
	     1.02,   0.68,    0.4,   0.22,   0.16,   0.18,    0.3,
	     0.46,   0.68,   0.96,   1.14,    1.2,   1.12,   0.92   },
	{    2.78,    2.7,    2.7,    2.4,   2.06,   1.66,   1.26,
	     0.88,    0.5,   0.24,   0.06,      0,   0.04,   0.18,
	     0.38,   0.64,   0.88,   1.12,   1.24,   1.12,   1.02   },
	{    2.86,   2.82,   2.74,    2.4,      2,    1.6,   1.22,
	      0.8,   0.44,   0.16,      0,  -0.06,  -0.02,   0.12,
	     0.34,   0.62,   0.88,    1.1,   1.22,   1.14,   1.02   },
	{    3.02,   2.92,   2.84,   2.48,   2.06,   1.64,   1.22,
	     0.82,   0.48,    0.2,   0.04,      0,   0.04,   0.18,
	     0.38,   0.66,    0.9,   1.12,   1.22,    1.1,      1   },
	{    3.18,    3.2,      3,   2.64,   2.22,   1.76,   1.32,
	     0.94,   0.62,   0.38,   0.22,   0.18,   0.22,   0.34,
	     0.54,   0.78,      1,   1.16,    1.2,   1.16,   1.02   },
	{    3.76,   3.38,   3.18,   2.88,   2.46,      2,   1.58,
	     1.18,   0.88,   0.66,    0.5,   0.46,   0.48,    0.6,
	     0.78,   0.96,   1.14,   1.24,   1.22,   1.18,   1.28   },
	{    3.94,    3.6,   3.32,   3.16,   2.76,   2.34,   1.92,
	     1.56,   1.24,      1,   0.86,   0.78,    0.8,   0.88,
	     1.04,    1.2,   1.32,   1.36,   1.22,   1.18,   1.24   },
	{     4.3,   3.84,   3.68,    3.4,   3.12,   2.74,   2.34,
	     1.98,   1.66,    1.4,   1.24,   1.14,   1.12,    1.2,
	     1.32,   1.44,    1.5,   1.46,   1.42,   1.26,   1.44   },
	{    4.74,   4.42,      4,   3.74,   3.44,   3.16,   2.78,
	     2.42,   2.08,    1.8,    1.6,    1.5,   1.46,    1.5,
	      1.6,   1.68,   1.68,   1.64,   1.56,   1.68,   1.76   },
	{    5.22,   4.84,   4.46,   4.12,   3.74,   3.46,   3.18,
	     2.82,    2.5,   2.18,   1.92,   1.78,   1.74,   1.76,
	     1.82,   1.84,   1.82,   1.88,   1.88,   1.96,    2.2   },
	{    5.58,   5.26,   4.84,   4.46,   4.04,    3.7,   3.34,
	     3.06,   2.74,    2.4,   2.16,   1.96,   1.88,   1.88,
	     1.88,   1.96,      2,   2.06,   2.16,   2.38,   2.46   },
	{    5.86,   5.58,   5.26,   4.84,   4.44,   3.92,   3.56,
	     3.26,   2.98,   2.74,    2.5,   2.32,   2.16,   2.04,
	        2,   2.06,   2.24,   2.32,   2.52,    2.6,    2.8   },
	{    6.04,   5.88,   5.58,   5.22,   4.78,   4.32,   3.94,
	     3.66,   3.38,   3.16,   2.94,   2.72,   2.48,   2.34,
	     2.22,   2.32,   2.46,   2.62,   2.72,    2.9,    2.9   }
    },
    {
	{   -2.62,  -3.08,  -4.24,  -4.42,  -4.16,  -4.08,  -3.64,
	    -3.96,  -6.58,   -6.3,  -7.42,   -8.9,  -9.78,  -7.84,
	    -8.76,  -8.68,  -7.68,  -5.54,  -4.12,  -1.88,  -0.98   },
	{    -3.3,  -4.18,  -3.78,  -3.42,  -2.16,  -1.48,  -0.94,
	    -1.38,  -1.18,  -1.76,  -2.78,  -4.46,   -4.7,  -5.44,
	     -5.9,  -6.02,  -5.04,   -4.8,  -3.18,  -2.38,  -0.52   },
	{   -4.72,  -4.06,  -4.06,   -2.9,  -1.34,  -0.06,   1.12,
	     2.08,    2.4,   2.24,   1.54,   0.42,   -0.7,  -1.64,
	    -2.42,  -2.88,  -3.42,  -3.44,  -3.18,  -1.62,  -1.28   },
	{   -5.38,  -4.74,  -3.52,  -1.56,  -0.18,   1.74,   3.16,
	     3.92,   4.22,   4.14,   3.66,   2.94,   2.32,   1.82,
	     1.24,   0.42,  -1.08,  -1.12,  -1.96,  -1.82,  -0.92   },
	{   -6.42,  -4.38,  -3.32,  -0.94,   1.18,   2.82,   3.96,
	     4.62,   4.78,    4.6,   4.16,   3.76,   3.48,    3.3,
	     3.06,   2.52,    1.6,    0.3,  -0.54,  -0.62,   -0.8   },
	{   -6.64,  -4.58,  -2.02,   0.54,   2.58,   3.82,   4.56,
	     4.86,    4.8,   4.48,      4,    3.6,   3.52,    3.7,
	     3.78,   3.64,   3.04,   1.84,   0.86,      0,  -0.24   },
	{    -6.1,  -3.48,  -1.02,   1.88,   3.74,   4.78,   5.22,
	     5.18,    4.7,      4,    3.3,   2.94,   3.04,   3.54,
	     4.06,   4.34,   4.14,   3.36,      2,   1.04,   0.44   },
	{   -5.16,   -2.8,   0.76,   3.04,    4.3,   5.04,   5.28,
	     5.02,   4.24,   3.28,   2.42,   1.96,   2.08,   2.74,
	      3.6,   4.18,   4.28,   3.88,   3.16,   2.34,   1.74   },
	{    -6.1,  -1.72,   1.74,   3.76,   4.58,   4.78,   4.76,
	      4.4,   3.58,   2.52,   1.64,   1.22,   1.42,   2.22,
	     3.26,   4.02,   4.28,    4.2,   3.86,   3.26,   2.34   },
	{   -5.08,  -1.54,   1.86,   3.78,    4.6,   4.78,   4.56,
	     3.88,   2.78,   1.68,      1,   0.72,   1.06,   2.04,
	     3.32,   4.28,    4.7,   4.76,    4.6,   3.86,   3.06   },
	{   -5.32,   -1.8,    1.6,    3.5,   4.32,   4.54,   4.32,
	     3.48,    2.2,   0.88,      0,  -0.24,   0.24,   1.44,
	     2.92,   4.04,   4.62,    4.9,   4.88,    4.3,   3.38   },
	{   -6.08,  -2.54,   0.74,   2.62,   3.56,    3.9,   3.88,
	     3.28,    2.2,      1,   0.12,  -0.16,   0.26,   1.38,
	     2.74,   3.72,   4.22,   4.46,   4.44,   3.86,   3.18   },
	{   -7.16,  -3.34,  -0.58,    1.7,      3,   3.62,   3.66,
	        3,   1.84,   0.68,  -0.08,  -0.32,   0.14,    1.2,
	     2.44,   3.32,   3.82,   4.18,   4.22,   3.32,   2.18   },
	{   -6.58,  -4.42,  -1.56,   0.56,   1.88,    2.7,   2.86,
	      2.4,   1.46,   0.38,  -0.44,  -0.62,   -0.1,   0.88,
	     1.86,   2.48,    2.8,    3.1,   3.08,   2.22,   1.98   },
	{   -7.42,  -5.16,  -2.98,  -0.78,   0.68,    1.5,   1.82,
	     1.68,   1.04,   0.08,   -0.6,  -0.72,  -0.24,   0.58,
	     1.32,    1.7,   1.82,   1.88,   1.58,   1.46,   0.92   },
	{   -8.26,  -6.18,     -4,     -2,  -0.44,   0.58,   1.02,
	     0.94,   0.38,  -0.38,  -0.88,   -0.9,   -0.5,   0.12,
	     0.66,   0.86,   0.78,    0.4,   0.18,   0.02,  -0.16   },
	{   -8.78,  -6.64,  -5.02,  -3.76,   -1.5,  -0.38,   0.08,
	        0,  -0.38,  -0.96,  -1.42,  -1.54,  -1.38,  -1.08,
	     -0.8,  -0.84,  -1.24,  -1.46,  -1.38,  -1.18,  -1.34   },
	{   -9.34,  -8.32,   -7.3,  -4.84,  -4.92,  -2.78,  -1.92,
	    -1.42,  -1.36,  -1.72,  -2.12,  -2.32,  -2.36,  -2.42,
	    -2.54,  -2.92,  -3.24,  -3.42,     -3,  -2.62,  -1.96   },
	{   -9.48,  -8.78,  -8.58,  -7.96,  -7.42,  -6.72,  -6.56,
	    -4.94,  -3.74,  -3.36,  -3.36,  -3.46,   -3.8,  -3.42,
	    -4.86,  -4.74,  -5.26,  -4.54,  -4.14,  -3.12,   -2.6   },
	{   -8.46,  -9.06,  -8.56,  -9.28,  -8.98,  -10.5,  -10.2,
	    -8.58,  -7.28,  -5.82,  -5.04,   -4.7,   -5.2,  -5.64,
	    -6.22,  -6.86,  -6.26,  -5.84,  -4.42,   -3.8,  -2.26   },
	{   -8.16,   -8.3,  -9.16,  -9.04, -10.52, -11.68,  -11.9,
	   -10.14,   -8.9,  -7.96,  -6.48,  -6.22,  -6.38,  -6.94,
	    -7.78,  -7.74,  -7.54,   -6.1,  -5.28,  -3.62,  -2.76   }
    },
    {
	{  -20.02, -20.94, -22.36, -23.14, -23.98, -24.38, -24.22,
	   -24.02, -26.12, -25.64,  -26.5, -27.96, -30.26, -30.14,
	   -32.44, -33.96, -34.58, -35.46, -36.54, -36.62, -36.98   },
	{   -18.6, -19.72, -19.86, -20.42, -19.86,  -20.2, -19.78,
	    -19.6, -19.14, -19.44, -20.26, -21.78, -23.32, -25.64,
	    -27.8, -29.94, -30.22, -31.98, -33.42, -34.92, -35.14   },
	{  -17.78, -17.54, -18.08,  -17.6,  -16.8, -15.86, -15.14,
	   -14.02, -13.46, -13.54, -14.26,  -15.6, -17.44,  -19.7,
	    -22.6, -24.64,  -26.9, -28.48,  -30.5, -31.98, -33.66   },
	{  -16.36, -16.12, -15.48, -13.86, -13.14, -11.36, -10.22,
	    -9.56,  -9.44,  -9.76,  -10.4, -11.44,  -12.9, -14.68,
	   -16.94, -19.62, -22.44,  -24.1, -26.98, -29.08,  -31.2   },
	{  -15.04, -13.48, -12.56, -11.02,  -9.06,  -7.76,     -7,
	    -6.64,   -6.6,   -6.9,  -7.48,  -8.56,   -9.9, -11.44,
	   -13.18, -15.18, -17.76, -20.72, -22.98, -25.48,  -28.3   },
	{  -13.34, -11.46,  -9.66,  -7.44,   -5.7,  -4.78,  -4.32,
	    -4.12,  -4.14,  -4.34,   -4.8,  -5.54,  -6.68,  -8.32,
	   -10.22, -12.18,  -14.3,  -16.9, -19.76,  -22.5, -25.62   },
	{  -11.18,  -9.18,  -6.96,  -4.52,  -3.18,  -2.54,  -2.34,
	    -2.34,  -2.38,  -2.48,  -2.74,   -3.2,  -3.98,  -5.18,
	     -6.9,  -9.12, -11.32, -13.68, -16.72, -19.54, -22.72   },
	{    -8.9,   -6.9,   -4.4,  -2.32,  -1.24,  -0.82,  -0.82,
	       -1,  -1.16,  -1.28,  -1.46,  -1.72,   -2.2,  -3.02,
	    -4.34,  -6.18,   -8.3, -10.74, -13.42, -17.06, -20.16   },
	{   -7.96,  -4.68,     -2,   -0.3,   0.46,   0.56,   0.28,
	    -0.12,  -0.46,   -0.6,  -0.72,  -0.82,  -1.06,  -1.58,
	    -2.48,  -3.92,  -5.72,  -7.82, -10.64, -14.24,  -18.5   },
	{   -5.66,  -2.76,   0.08,   1.62,   2.14,   1.98,   1.32,
	      0.6,   0.04,  -0.26,  -0.38,  -0.38,  -0.44,  -0.64,
	    -1.18,  -2.14,  -3.58,  -5.44,  -8.06,  -11.8, -15.72   },
	{   -4.22,  -1.38,   1.34,    2.8,   3.26,   3.02,   2.38,
	      1.6,    0.9,    0.3,      0,  -0.06,  -0.06,  -0.06,
	    -0.34,  -0.98,  -1.96,   -3.6,  -6.12,   -9.8, -13.76   },
	{   -3.04,  -0.28,   2.46,   3.94,   4.46,   4.28,   3.68,
	     2.88,   2.12,   1.52,   1.08,   0.68,    0.5,   0.38,
	     0.22,   -0.2,  -1.02,  -2.44,  -4.86,  -8.54, -12.46   },
	{   -3.06,    0.6,   3.62,   5.22,   5.88,   5.74,   5.12,
	     4.26,   3.44,    2.8,   2.36,   2.08,   1.76,   1.32,
	     0.94,    0.4,  -0.44,  -1.86,  -4.28,  -7.88,  -12.2   },
	{   -1.42,   0.54,   3.64,   5.54,   6.58,   6.84,   6.58,
	     5.86,   4.88,   4.06,   3.46,   3.06,   2.74,   2.34,
	      1.7,   1.04,    0.1,  -1.52,  -4.22,  -7.62, -10.52   },
	{    -1.5,   0.84,   2.92,   5.38,   7.02,   7.78,   7.84,
	     7.42,   6.76,    5.9,   4.94,   4.18,   3.56,      3,
	     2.36,    1.4,   0.18,  -1.56,  -4.36,   -7.2, -10.08   },
	{   -1.24,   0.54,   2.64,    4.9,   6.94,   8.18,   8.72,
	     8.74,   8.24,   7.56,   6.74,   5.66,   4.62,    3.7,
	     2.78,   1.66,  -0.08,  -2.36,  -4.74,  -7.24,  -9.86   },
	{    -0.7,   0.96,   2.06,   3.48,   5.88,   7.58,   8.52,
	     8.86,   8.76,    8.4,   7.64,   6.72,   5.56,   4.22,
	     2.94,   1.44,  -0.54,  -3.02,   -5.1,   -6.7,   -9.1   },
	{    0.64,    0.4,   0.84,    2.6,   3.22,   5.54,   6.88,
	     7.84,   8.18,   8.02,   7.52,   6.54,   5.32,   3.96,
	     2.18,   0.34,  -1.96,  -3.42,  -5.42,  -6.78,  -8.12   },
	{    1.76,   1.76,    0.5,   0.72,   1.14,   2.42,   3.24,
	     5.12,   6.22,   6.56,    6.1,   5.22,   4.02,   2.32,
	     0.28,  -1.28,  -2.96,  -4.24,  -5.48,  -5.88,  -7.18   },
	{    4.74,    2.7,   2.24,   0.12,   0.34,  -0.52,   0.32,
	     1.96,   2.88,   3.78,   3.88,   3.22,    1.9,   0.48,
	    -1.42,  -2.98,  -3.34,  -4.38,  -4.32,  -5.34,   -5.4   },
	{     6.5,    5.5,   2.82,   1.84,   -0.7,  -1.42,   -1.1,
	     0.44,   1.32,   1.42,   1.96,   1.54,   0.94,   -0.3,
	    -2.12,  -3.28,  -3.94,  -3.54,     -4,  -3.72,   -4.3   }
    },
    {
	{    7.86,   7.46,   6.76,    6.3,   5.46,    4.8,    4.2,
	     4.24,   3.86,   3.64,   3.62,   3.66,   3.58,   3.76,
	      3.6,   3.74,   3.88,   3.98,   3.88,    3.7,   3.46   },
	{    7.68,   6.92,   6.44,   5.52,   4.86,   3.94,   3.62,
	     3.54,   3.34,   3.04,    3.1,   3.08,   3.08,   2.98,
	     2.86,   2.74,   3.08,   3.26,    3.4,   3.32,   3.24   },
	{    7.14,   6.58,    5.8,   5.16,   4.46,   3.94,   3.32,
	     3.06,   2.82,   2.64,    2.5,   2.44,   2.38,   2.28,
	     2.14,   2.28,   2.36,   2.64,   2.76,   2.86,   2.86   },
	{    6.76,   6.08,   5.46,   4.82,   4.34,   3.74,   3.28,
	     2.78,   2.32,   1.94,    1.7,   1.58,   1.54,   1.56,
	      1.6,    1.6,   1.86,   1.92,    2.2,   2.32,   2.42   },
	{    6.12,   5.72,   4.96,   4.64,   4.18,   3.68,   3.02,
	     2.34,   1.74,   1.26,   0.94,   0.78,   0.74,   0.82,
	     0.98,   1.16,   1.26,   1.46,    1.5,   1.76,   1.86   },
	{     5.7,   5.18,   4.98,   4.64,   4.24,   3.52,   2.72,
	     1.96,   1.28,   0.74,   0.36,   0.16,   0.12,   0.22,
	      0.4,   0.66,    0.9,   1.02,   1.16,   1.16,   1.38   },
	{    5.54,   5.24,   4.94,   4.78,    4.2,   3.36,    2.5,
	      1.7,      1,   0.44,   0.06,  -0.18,  -0.26,  -0.18,
	     0.02,   0.28,   0.54,   0.76,   0.78,    0.9,      1   },
	{    5.58,    5.2,   5.14,   4.82,    4.1,   3.26,   2.38,
	     1.58,    0.9,   0.36,  -0.04,   -0.3,   -0.4,  -0.38,
	    -0.22,      0,   0.26,    0.5,    0.6,   0.62,   0.78   },
	{    4.94,   5.26,   5.22,    4.8,   4.04,   3.18,   2.32,
	     1.54,   0.88,   0.36,  -0.02,  -0.28,  -0.42,  -0.44,
	    -0.34,  -0.16,   0.06,   0.28,    0.4,    0.4,   0.22   },
	{    5.02,    5.1,   5.18,   4.74,   3.98,    3.1,   2.28,
	      1.5,   0.88,   0.38,   0.02,  -0.24,   -0.4,  -0.44,
	    -0.38,  -0.24,  -0.08,    0.1,   0.22,   0.12,   0.02   },
	{    4.92,   5.04,    5.1,   4.66,    3.9,   3.04,   2.24,
	      1.5,   0.88,   0.38,      0,  -0.26,  -0.42,  -0.46,
	    -0.42,  -0.32,  -0.18,  -0.02,   0.08,  -0.02,  -0.14   },
	{    4.76,   4.86,   4.98,   4.54,   3.84,      3,    2.2,
	     1.44,    0.8,    0.3,  -0.08,  -0.32,  -0.48,  -0.52,
	     -0.5,  -0.42,   -0.3,  -0.14,  -0.04,  -0.16,  -0.26   },
	{    4.56,   4.84,   4.82,   4.46,    3.8,   2.98,   2.16,
	      1.4,   0.74,   0.22,  -0.18,  -0.44,  -0.58,  -0.62,
	    -0.58,  -0.48,  -0.36,  -0.24,  -0.18,  -0.26,  -0.44   },
	{    5.02,   4.66,   4.62,   4.36,   3.76,   2.98,   2.16,
	     1.38,   0.68,   0.14,  -0.26,   -0.5,  -0.64,  -0.66,
	     -0.6,  -0.52,   -0.4,  -0.32,  -0.36,  -0.44,  -0.34   },
	{     4.8,   4.54,   4.32,   4.22,   3.76,   3.04,   2.26,
	     1.46,   0.76,   0.18,  -0.22,  -0.46,  -0.56,  -0.56,
	    -0.52,  -0.44,  -0.38,  -0.36,  -0.56,   -0.6,  -0.56   },
	{    4.88,   4.38,   4.28,      4,   3.72,   3.16,   2.42,
	     1.68,      1,   0.46,   0.04,  -0.22,  -0.32,  -0.32,
	    -0.26,  -0.24,  -0.26,   -0.4,  -0.44,  -0.72,  -0.46   },
	{     5.2,   4.84,   4.18,   3.98,    3.6,   3.24,   2.68,
	     2.04,   1.42,   0.88,    0.5,   0.22,   0.12,    0.1,
	     0.08,   0.04,  -0.12,  -0.12,  -0.36,  -0.24,   -0.2   },
	{    5.88,   5.18,   4.66,   4.06,   3.74,   3.24,   2.92,
	     2.44,    1.9,   1.42,   1.04,    0.8,   0.66,    0.6,
	     0.52,   0.32,   0.28,    0.1,    0.2,   0.14,    0.3   },
	{    6.22,   5.72,   4.96,   4.44,   3.82,   3.44,   2.96,
	      2.7,    2.3,   1.86,   1.52,    1.3,   1.16,   1.02,
	     0.82,   0.72,   0.58,   0.62,   0.56,   0.62,   0.52   },
	{    6.68,   5.96,    5.5,   4.76,   4.22,   3.46,   3.16,
	     2.88,   2.62,   2.42,   2.16,    1.9,   1.64,    1.4,
	      1.2,      1,   1.06,   1.02,   0.98,   0.82,   0.78   },
	{    6.76,   6.36,    5.7,   5.22,   4.58,      4,   3.46,
	     3.32,   3.12,   2.98,   2.84,   2.56,   2.22,   1.94,
	     1.66,    1.6,   1.54,    1.4,    1.2,   1.06,   0.78   }
    },
    {
	{   22.66,  20.66,  16.88,  14.88,  11.56,   10.3,  10.26,
	    11.16,  10.54,  10.92,   9.32,    7.5,   4.94,    4.1,
	     1.58,  -0.64,   -2.5,  -3.44,   -4.5,  -4.84,  -5.74   },
	{   20.62,  17.16,   15.8,  12.92,  12.08,  10.52,  11.56,
	     12.4,     13,  12.56,  10.94,   9.02,    7.2,   4.62,
	      2.5,  -0.16,  -2.08,  -4.34,  -5.56,  -7.18,  -7.62   },
	{   16.84,  15.88,  13.54,  12.88,  11.56,  12.64,  13.36,
	    14.84,  15.02,  14.12,   12.4,  10.56,    8.7,   6.24,
	     3.14,   0.34,  -2.68,  -5.02,  -7.38,  -8.44, -10.26   },
	{   15.26,  13.94,   13.4,  13.12,  13.54,  14.18,  15.76,
	    16.24,   15.8,  14.36,  12.62,  10.94,   9.14,   6.72,
	     4.02,   1.02,  -2.38,   -5.1,  -8.16, -10.44, -11.94   },
	{   13.62,   14.1,  14.22,  14.34,  15.14,  16.24,   16.8,
	     16.4,   15.3,   13.5,  11.78,  10.26,   8.52,    6.2,
	     4.02,    1.3,  -2.08,  -5.52,  -8.82, -11.16,    -14   },
	{   13.18,  14.62,  14.78,  15.76,   16.4,  16.86,  16.54,
	    15.52,  13.82,  11.94,  10.28,   8.94,    7.1,    5.1,
	     3.28,   0.76,     -2,  -5.34,  -9.14, -12.54, -15.44   },
	{   12.96,  14.34,  15.34,  16.02,  16.56,  16.34,   15.4,
	    13.94,  11.88,  10.04,   8.52,   7.14,    5.2,   3.68,
	     1.98,  -0.32,  -2.64,  -5.62,  -9.68, -13.52, -16.36   },
	{    12.5,  13.46,  14.92,   15.8,  15.88,   15.1,  13.78,
	    11.82,   9.84,   8.08,   6.68,    4.9,   3.22,    1.9,
	     0.02,   -1.9,     -4,  -6.68, -10.28,    -14, -17.08   },
	{   10.54,  12.82,  14.36,  15.06,  14.72,  13.52,  11.72,
	     9.66,    7.8,   6.16,   4.58,   2.54,   1.22,  -0.28,
	    -2.22,  -3.94,   -5.9,  -8.56, -11.54, -14.92, -18.18   },
	{   10.02,  11.76,  13.58,  14.02,   13.3,   11.7,   9.62,
	     7.64,   5.84,    4.2,   2.04,    0.4,   -0.9,  -2.72,
	    -4.56,  -6.38,  -8.46, -10.88, -13.42,  -16.4, -19.38   },
	{    9.44,  11.04,  12.78,  12.92,  11.82,   9.96,   7.92,
	        6,   4.26,   2.06,      0,  -1.48,  -3.16,   -5.1,
	    -6.92,  -8.88,  -11.3, -13.36,  -15.5, -18.38, -21.58   },
	{    8.74,  10.48,  11.86,  11.76,  10.56,   8.76,   6.84,
	        5,   2.82,   0.44,   -1.3,  -3.04,  -5.04,  -6.92,
	    -9.02, -11.36, -13.64,  -15.6, -17.36, -20.74, -23.64   },
	{    7.32,   9.66,  10.74,  10.66,    9.6,   8.08,   6.28,
	     4.12,    1.7,   -0.3,  -2.14,   -4.2,  -6.32,  -8.38,
	    -10.6, -13.26,  -15.3, -16.94, -19.06, -21.96, -25.64   },
	{    8.04,    8.4,   9.36,   9.54,   8.92,   7.62,    5.6,
	     3.26,   1.16,  -0.82,  -2.96,  -5.12,  -7.18,  -9.46,
	   -12.14,  -14.4,  -16.4, -17.94, -20.88,    -24, -25.88   },
	{     6.8,    7.3,   7.66,   8.32,      8,   6.68,   4.76,
	     2.72,   0.68,   -1.5,   -3.7,  -5.76,  -8.02, -10.64,
	   -13.18, -15.32, -16.94, -19.24, -23.16, -26.32, -28.56   },
	{    5.74,   5.94,   6.02,   6.38,   6.32,   5.48,   3.98,
	     2.08,  -0.04,  -2.24,   -4.4,  -6.58,  -9.08, -11.72,
	   -14.02, -15.94, -18.02, -21.42, -24.58, -28.16, -29.38   },
	{    5.32,    5.2,   4.16,    4.2,    4.3,   3.98,   2.78,
	     1.08,     -1,  -3.22,   -5.4,  -7.82,  -10.4, -12.76,
	   -14.94, -17.04, -20.22, -23.28, -26.38, -27.76,  -29.9   },
	{    5.46,   4.02,   3.06,   2.72,    1.9,   1.72,   0.96,
	     -0.5,  -2.54,  -4.66,  -7.08,  -9.56, -11.86, -14.02,
	   -16.26, -19.42, -22.28, -24.88, -26.88, -28.82, -30.34   },
	{    5.36,    4.1,   1.98,   0.72,  -0.16,     -1,  -1.96,
	     -3.2,  -5.02,   -7.2,  -9.52,  -11.7,  -13.8, -16.08,
	   -19.16, -21.62, -24.38, -26.08,    -28, -29.46, -31.76   },
	{    5.86,   3.68,   2.02,  -0.54,  -1.64,  -3.36,  -4.88,
	    -6.24,  -8.18,   -9.9,  -11.8, -13.82,  -16.3, -18.72,
	    -21.5, -24.16, -25.34,  -27.4, -28.82,  -30.9, -33.26   },
	{     5.7,   3.86,   1.26,  -0.64,  -3.22,  -5.14,   -6.8,
	    -8.44, -10.16, -12.12, -13.84, -16.02, -18.06, -20.32,
	   -22.98, -25.14, -26.94, -28.36, -30.18, -32.24,  -34.8   }
    },
    {
	{   -8.72,  -9.92, -11.54, -12.66, -14.12, -15.04, -15.74,
	   -15.52,  -16.9, -17.06, -17.58, -18.42,  -19.6, -19.06,
	    -20.6, -20.96, -20.58, -20.98, -22.04, -23.12, -24.06   },
	{   -7.46,  -8.86,  -9.72, -11.32, -11.86,  -13.1, -13.12,
	   -13.16, -13.32,  -13.8, -14.28, -15.14, -15.96,  -17.1,
	   -18.28, -19.46, -18.78, -19.36, -20.16, -21.38, -22.34   },
	{   -6.58,  -7.28,  -8.46,  -9.12,  -9.68,  -9.94,  -10.4,
	   -10.34, -10.46, -10.68, -11.14,  -11.9,    -13, -14.22,
	   -15.56, -16.52, -17.58, -17.84,  -18.7, -19.64, -20.74   },
	{   -5.44,   -5.8,  -6.42,   -6.6,  -6.84,  -7.14,  -7.26,
	     -7.7,   -8.3,  -8.98,   -9.7, -10.24, -10.78, -11.56,
	    -12.6, -13.98, -15.14, -15.96, -17.08,  -18.1, -19.36   },
	{   -4.26,  -3.76,  -4.16,  -4.18,   -3.7,  -3.86,  -4.52,
	    -5.42,  -6.28,   -7.2,  -8.24,  -9.24,    -10, -10.32,
	   -10.64,  -11.3, -12.66, -14.28, -15.68,  -16.5, -18.08   },
	{   -2.88,  -1.96,  -1.74,     -1,   -0.8,  -1.36,  -2.22,
	    -3.18,  -4.08,  -5.06,  -6.02,     -7,  -8.14,  -9.06,
	    -9.68,  -9.94, -10.46, -12.04, -13.84,  -15.9, -16.92   },
	{    -1.3,  -0.28,    0.5,   1.44,    1.3,   0.62,  -0.32,
	    -1.36,  -2.34,  -3.18,  -4.04,  -4.94,  -5.82,  -6.76,
	    -7.74,  -8.54,     -9, -10.02,  -12.2, -13.94,  -15.4   },
	{     0.1,   0.94,   2.44,   3.08,   2.76,   2.02,   1.08,
	        0,  -0.96,  -1.92,   -2.7,  -3.34,  -3.94,  -4.72,
	     -5.6,  -6.48,  -7.26,  -8.14,  -9.82, -11.94, -13.38   },
	{    0.02,   2.44,   4.22,    4.6,   4.16,    3.3,   2.32,
	     1.18,   0.12,   -0.9,  -1.66,  -2.26,  -2.74,  -3.14,
	    -3.72,   -4.4,   -5.2,  -6.22,  -7.64,  -9.78, -12.94   },
	{    1.76,   3.46,   5.18,   5.74,   5.44,   4.68,   3.48,
	     2.18,   0.92,  -0.16,  -0.84,   -1.3,  -1.54,   -1.8,
	    -2.08,  -2.58,  -3.12,   -3.9,  -5.48,  -8.04, -10.74   },
	{    2.54,   4.14,   5.86,   6.44,    6.3,   5.66,   4.68,
	     3.48,   2.02,   0.78,      0,  -0.38,   -0.4,  -0.32,
	    -0.52,  -0.72,   -1.1,  -1.86,  -3.14,  -5.82,  -8.54   },
	{    3.38,   5.16,   6.86,   7.44,   7.26,   6.64,   5.78,
	     4.78,   3.68,   2.58,    1.5,      1,    0.9,   1.08,
	      1.1,   0.96,    0.7,    0.2,  -1.18,  -3.84,   -6.6   },
	{    3.16,   5.28,   7.12,   8.06,    8.1,   7.52,    6.7,
	      5.7,   4.74,   3.96,   3.44,   3.02,   2.82,   2.74,
	     2.76,   2.64,   2.32,   1.82,    0.5,  -2.14,  -5.68   },
	{    4.04,   5.18,   6.84,   8.32,   8.84,   8.74,   8.18,
	     7.18,    6.1,   5.24,   4.82,   4.72,   4.64,   4.52,
	     4.58,    4.4,   3.92,   3.08,   1.48,   -1.2,  -3.02   },
	{    3.46,   4.78,   6.44,   8.52,   9.64,  10.04,   9.92,
	      9.4,    8.5,   7.32,   6.54,   6.22,   6.14,   6.12,
	     5.94,    5.8,   5.42,   4.12,    1.8,  -0.04,  -2.08   },
	{    3.64,   4.44,   5.88,    7.7,   9.58,   10.6,  10.98,
	    10.96,  10.46,   9.64,    8.7,   7.98,   7.58,   7.46,
	      7.2,   6.56,   5.84,   4.44,   2.26,   0.84,  -0.98   },
	{    3.94,    4.6,   5.04,    6.2,   8.02,   9.92,  11.04,
	    11.44,  11.38,  10.94,  10.26,   9.44,   8.82,   8.48,
	     8.04,   7.08,   5.48,   3.98,   2.34,   1.98,   0.58   },
	{    5.36,   4.24,   4.24,    4.9,    5.8,   7.68,   9.54,
	     10.7,  11.16,   11.1,  10.72,  10.14,   9.32,    8.5,
	      7.8,   6.72,   4.76,   4.46,   2.78,    2.3,   2.02   },
	{    6.28,   5.98,      4,   3.86,   3.54,    5.1,   6.32,
	     8.28,   9.52,  10.04,  10.02,   9.58,    8.6,   7.06,
	     5.62,    4.9,   3.76,    3.5,   3.26,    3.8,   3.48   },
	{    9.38,   6.88,   6.04,    3.4,   3.28,   2.34,   3.66,
	      5.5,   6.68,   7.98,   8.46,   8.06,   7.04,   5.72,
	     4.14,   3.64,   4.14,   3.82,   5.06,   5.02,    5.8   },
	{   10.96,     10,    6.8,   5.48,   2.46,    1.8,   2.34,
	      4.3,   5.64,   6.26,   7.14,   7.16,   6.74,   5.58,
	     3.96,   3.58,    4.1,   5.58,   6.04,   7.18,   7.44   }
    },
    {
	{  -15.12, -15.42, -16.52, -16.64,  -16.5,  -16.5,  -16.2,
	   -15.58, -17.04, -16.18,  -16.7, -17.72,  -18.5, -16.56,
	   -17.28,  -17.3, -17.04, -16.14, -15.54, -14.74, -14.26   },
	{  -14.24, -15.02, -14.78, -14.88, -14.06, -14.44,  -13.4,
	   -12.76, -11.92, -11.66, -12.18, -13.24, -13.24, -13.76,
	    -13.8, -14.36, -14.26, -14.48, -13.84, -13.86,  -13.4   },
	{  -14.14, -13.76, -13.82, -13.02, -12.28, -11.34, -10.62,
	     -9.1,  -8.18,  -7.76,  -7.84,  -8.48,   -9.3, -10.18,
	   -10.94, -11.32, -11.94, -12.48, -12.74, -12.58, -12.84   },
	{   -13.4, -12.84, -12.04, -10.56,  -9.74,  -8.72,   -7.4,
	     -6.5,  -5.88,  -5.48,  -5.58,  -6.06,  -6.76,   -7.3,
	    -7.66,  -8.16,  -9.38,  -9.92, -11.08, -11.48, -12.12   },
	{   -12.9, -11.04, -10.22,  -8.64,  -7.16,  -6.12,  -5.46,
	    -4.96,  -4.42,  -4.06,  -4.04,  -4.44,  -4.84,  -4.96,
	    -4.96,  -5.16,  -6.18,  -7.86,  -8.68,  -9.64, -11.32   },
	{  -11.86,  -9.48,  -7.82,  -5.86,  -4.68,  -3.98,  -3.54,
	    -3.22,  -2.82,   -2.6,   -2.7,  -2.96,  -3.08,  -3.06,
	    -2.94,  -3.16,  -3.96,  -5.22,  -6.98,  -8.26, -10.32   },
	{   -9.88,  -7.66,   -5.4,  -3.28,  -2.08,  -1.56,  -1.56,
	     -1.7,  -1.82,  -1.86,   -1.9,  -1.98,     -2,  -1.92,
	    -1.94,  -2.16,  -2.54,  -3.54,  -5.34,  -7.22,  -9.18   },
	{    -8.5,  -6.24,  -3.12,  -1.04,   0.02,   0.22,  -0.24,
	     -0.8,   -1.1,  -1.16,  -1.22,  -1.26,  -1.26,  -1.28,
	    -1.22,  -1.14,  -1.46,  -2.36,  -4.12,  -6.58,  -8.58   },
	{   -8.12,  -4.52,  -1.54,   0.24,    1.1,   1.22,   0.74,
	      0.2,  -0.12,  -0.34,   -0.5,  -0.72,  -0.88,  -0.66,
	    -0.32,   -0.2,  -0.54,  -1.54,  -3.14,  -5.76,     -9   },
	{   -6.42,  -3.66,  -0.82,   0.94,   1.76,      2,   1.82,
	     1.36,    0.9,   0.38,  -0.28,   -0.7,  -0.62,  -0.22,
	     0.16,    0.2,  -0.26,  -1.16,  -2.72,  -5.26,  -8.12   },
	{   -5.66,  -2.84,  -0.08,   1.62,   2.56,   2.76,   2.54,
	     2.04,   1.34,   0.58,      0,  -0.24,  -0.06,   0.34,
	     0.54,    0.4,  -0.08,  -0.98,  -2.66,  -5.44,  -8.24   },
	{      -5,   -2.1,   0.68,   2.22,    2.9,      3,   2.72,
	     2.18,   1.68,   1.24,    0.9,   0.76,   0.92,   1.08,
	     1.12,   0.72,   0.08,  -1.04,  -2.98,  -5.84,  -8.78   },
	{    -5.5,  -1.98,    0.7,   2.04,   2.66,   2.96,   3.06,
	     2.86,   2.44,   1.96,    1.6,   1.38,    1.5,    1.6,
	     1.36,   0.68,  -0.42,  -1.98,   -4.1,  -6.88, -10.12   },
	{   -4.42,  -2.32,   0.18,   1.82,   2.82,   3.42,    3.6,
	     3.36,    2.9,   2.26,   1.84,    1.8,   1.96,   2.02,
	     1.54,   0.42,  -1.22,   -3.1,  -5.38,  -8.18, -10.56   },
	{   -4.78,  -2.58,  -0.68,   1.48,   2.74,   3.44,   3.66,
	     3.54,   3.18,   2.64,    2.2,    2.2,   2.34,   2.22,
	     1.42,  -0.02,  -1.86,  -4.08,  -7.08,   -9.6, -12.14   },
	{   -5.26,  -3.26,  -1.92,  -0.04,    1.6,   2.74,   3.42,
	     3.62,    3.4,   2.92,   2.48,   2.24,   2.06,   1.62,
	     0.64,  -0.82,  -3.04,     -6,  -8.78,  -11.2,  -13.3   },
	{   -5.38,  -3.96,   -3.4,  -1.76,  -0.18,   1.66,    2.8,
	     3.26,   2.98,   2.36,   1.68,   1.22,   0.82,   0.28,
	     -0.9,  -2.88,   -5.8,  -8.98, -10.84,  -12.8, -14.76   },
	{   -5.34,  -5.04,  -4.44,  -3.12,  -2.34,  -0.28,   1.12,
	     1.62,   1.32,   0.62,  -0.04,  -0.46,  -1.02,  -2.16,
	    -4.16,  -7.02, -10.16, -11.84, -13.86, -15.12, -15.68   },
	{   -4.92,  -4.56,  -5.24,  -4.78,  -4.64,  -2.92,  -2.18,
	     0.18,  -1.34,  -1.74,  -2.22,  -2.82,  -3.94,  -6.26,
	     -9.6,  -11.6, -14.18,  -14.8, -15.86, -15.48,  -16.3   },
	{   -3.64,   -4.5,  -4.68,  -5.76,  -5.16,  -5.12,   -4.4,
	     -3.9,  -4.12,  -3.82,  -4.88,  -6.28,  -8.72, -10.94,
	   -14.02, -16.38, -15.98, -16.86, -15.66,  -16.1, -14.82   },
	{    -2.9,  -3.48,   -4.8,  -5.34,  -6.58,  -6.68,  -6.18,
	    -6.18,  -6.18,   -6.7,  -7.26,  -9.78, -11.36, -13.78,
	   -16.88,  -18.3,  -18.3, -16.42,  -16.4, -14.76, -14.46   }
    },
    {
	{   -6.52,  -7.74,  -9.72, -10.84, -12.22, -12.88,  -13.4,
	   -13.56, -15.06, -15.38, -16.32, -17.28, -18.72, -18.14,
	   -19.78, -20.44, -20.62, -21.02, -21.88, -22.58, -23.62   },
	{   -5.56,  -7.36,  -8.16,  -9.72,  -9.96, -10.66, -10.78,
	   -11.08, -11.34, -12.26, -13.08, -14.14, -14.84, -16.26,
	   -17.68, -18.98, -18.78, -19.76, -20.34,  -21.4, -22.16   },
	{   -5.44,  -6.12,  -7.52,  -7.92,  -8.08,  -7.96,  -8.06,
	    -7.94,  -8.34,  -9.14, -10.02, -10.88,  -11.9, -13.26,
	   -15.06, -16.26, -17.74, -18.48, -19.56, -20.06, -21.14   },
	{    -4.6,  -5.46,  -5.82,  -5.92,  -5.58,  -5.24,  -5.02,
	    -5.42,   -6.2,  -7.14,  -8.24,   -9.3, -10.06, -10.82,
	   -11.92, -13.64, -15.56, -16.78, -18.32, -19.48,  -20.2   },
	{   -4.34,  -3.84,  -4.18,  -3.54,  -2.86,  -2.46,  -2.76,
	    -3.48,  -4.38,  -5.52,   -6.8,  -8.02,  -9.04,  -9.72,
	   -10.28, -11.28, -13.14, -15.26, -17.18, -18.22, -19.78   },
	{   -2.94,  -2.36,  -1.62,  -0.64,   0.12,   0.04,   -0.7,
	     -1.7,  -2.78,  -3.88,  -5.08,  -6.46,  -7.64,  -8.52,
	    -9.34, -10.02, -11.28,  -13.3, -15.46, -17.94,    -19   },
	{   -1.16,  -0.22,   0.74,   1.96,   2.26,   1.86,   0.88,
	    -0.32,   -1.5,  -2.54,  -3.68,  -4.82,     -6,  -7.14,
	    -8.08,  -9.02,  -9.86, -11.36, -13.98, -16.08, -17.76   },
	{    1.02,   1.66,   3.18,   3.92,    3.8,   3.06,   1.94,
	     0.68,   -0.5,  -1.58,  -2.72,  -3.76,  -4.82,   -5.8,
	    -6.88,  -7.68,  -8.54,  -9.66, -11.68, -14.04, -15.66   },
	{    1.76,    3.7,   5.08,   5.72,   5.42,   4.48,   3.08,
	     1.64,   0.38,   -0.7,  -1.78,  -2.96,  -3.92,  -4.84,
	    -5.58,  -6.44,  -7.14,  -8.06,   -9.6, -12.04, -15.12   },
	{     3.8,   5.16,   6.58,   6.96,   6.54,    5.6,   4.26,
	     2.66,   1.22,   0.08,  -0.86,  -1.78,   -2.7,  -3.52,
	    -4.28,  -4.92,  -5.68,  -6.46,  -7.92, -10.46,  -13.1   },
	{    5.22,   6.64,   7.96,   8.24,   7.72,   6.64,   5.28,
	      3.9,    2.5,   1.04,      0,  -0.76,  -1.34,  -1.96,
	    -2.48,  -3.08,  -3.78,  -4.84,  -6.42,  -8.96, -11.76   },
	{    6.66,    8.1,   9.58,    9.9,   9.32,   8.18,   6.72,
	     5.28,   4.02,   2.84,   1.54,   0.74,   0.24,  -0.14,
	    -0.68,  -1.28,  -1.96,  -2.96,  -4.98,  -7.88, -10.52   },
	{    6.98,      9,  10.52,  11.16,  10.76,    9.6,   8.06,
	     6.56,   5.26,   4.26,   3.42,   2.62,   2.24,      2,
	     1.52,   0.62,  -0.28,  -1.58,   -3.7,  -6.64,   -9.8   },
	{    8.36,    9.3,  10.98,  12.12,   12.1,   11.2,    9.8,
	      8.2,   6.84,   5.84,   5.16,   4.66,   4.12,    3.8,
	     3.42,   2.62,   1.38,   -0.4,     -3,  -5.98,   -8.3   },
	{    8.34,   9.32,  10.78,  12.56,   13.1,  12.56,  11.44,
	    10.14,    8.8,   7.78,   7.12,    6.7,   6.28,   5.58,
	     4.86,   3.94,   2.54,   0.44,   -2.6,   -5.4,  -7.86   },
	{    8.82,   9.42,  10.42,  11.78,  12.94,  13.06,  12.44,
	     11.4,  10.44,   9.54,   8.88,   8.56,   8.18,    7.4,
	     6.22,   4.86,   3.02,   0.44,   -2.3,   -4.8,  -7.02   },
	{    9.96,  10.34,   9.78,  10.84,   11.9,  12.76,  12.76,
	    12.28,  11.58,  10.94,  10.32,   9.84,    9.3,   8.46,
	     7.18,    5.2,    2.8,   0.06,   -2.2,  -3.76,  -5.72   },
	{   12.34,  10.92,  10.48,  10.46,  11.02,  11.72,  12.36,
	    12.48,  12.24,  11.74,  11.18,  10.46,   9.54,   8.34,
	     6.62,    4.3,   1.44,    0.1,  -2.22,  -3.54,  -4.06   },
	{   13.98,  13.12,  11.02,  10.52,  10.28,  10.76,  11.04,
	    11.64,   11.8,   11.6,  11.04,  10.18,   8.76,   6.72,
	     4.18,   2.42,   0.26,   -0.7,  -1.78,  -1.62,   -2.6   },
	{   17.02,   14.5,  13.38,  10.92,  10.56,   9.68,  10.04,
	    10.58,   10.7,  10.78,  10.22,   8.92,    6.9,    4.9,
	     2.38,   0.74,   0.66,  -0.46,   0.26,  -0.28,   0.46   },
	{   18.64,  17.26,  14.38,  12.92,   10.7,     10,   9.72,
	    10.46,  10.72,  10.26,   9.62,   7.98,   6.48,   4.48,
	        2,    0.7,   0.54,   1.72,    1.5,    2.6,    2.5   }
    },
    {
	{  -16.34, -16.96, -17.82, -18.38, -18.84, -19.18, -19.46,
	   -19.62, -21.58, -21.58,  -22.1, -22.82, -23.88, -22.88,
	   -23.92, -24.36,  -24.4, -24.74, -25.36, -25.76, -26.32   },
	{  -14.74, -15.48,  -15.8, -16.28,  -16.1, -16.32, -16.26,
	    -16.7, -16.82, -17.44, -17.92, -18.68, -19.08,  -20.1,
	   -20.98, -21.88, -21.66, -22.48,  -23.1, -23.98,  -24.5   },
	{   -13.4,  -13.6, -14.12, -14.06, -13.72, -13.54, -13.52,
	   -13.26, -13.24, -13.44, -13.86,  -14.5,  -15.3,  -16.3,
	   -17.68, -18.58, -19.64, -20.34, -21.26, -21.94, -22.88   },
	{  -11.88, -12.12, -12.06, -11.56,  -11.2,  -10.7, -10.52,
	    -10.6,  -10.8,  -11.1, -11.52,    -12, -12.54, -13.14,
	   -14.04, -15.46,  -16.9, -17.74, -19.16, -20.18, -21.32   },
	{  -10.58, -10.06,  -9.94,  -9.28,  -8.32,  -7.92,  -8.02,
	     -8.3,  -8.66,  -9.18,  -9.76, -10.26, -10.74, -11.28,
	   -11.88, -12.68, -14.02,  -15.6, -17.18, -18.06, -19.82   },
	{   -9.06,  -8.42,  -7.54,  -6.38,  -5.56,  -5.42,  -5.62,
	    -5.94,  -6.28,   -6.7,  -7.22,  -7.78,  -8.52,  -9.26,
	    -9.94, -10.68, -11.58, -13.08, -14.76, -16.62, -18.36   },
	{   -7.14,  -6.42,  -5.32,  -4.02,  -3.48,  -3.46,  -3.66,
	    -3.94,  -4.28,  -4.64,  -5.08,  -5.64,  -6.34,  -7.04,
	    -7.84,  -8.62,  -9.24, -10.32, -12.44, -14.34, -16.44   },
	{   -5.06,  -4.28,     -3,  -2.06,  -1.76,  -1.78,  -1.98,
	     -2.3,  -2.58,   -2.9,  -3.26,  -3.82,  -4.48,  -5.14,
	     -5.8,   -6.4,   -7.1,  -8.08,  -9.82, -12.46, -14.34   },
	{   -3.98,  -2.24,  -1.22,  -0.56,   -0.4,  -0.44,  -0.64,
	    -0.88,  -1.18,  -1.42,  -1.78,  -2.28,  -2.82,   -3.4,
	    -3.96,  -4.42,  -4.96,   -5.8,  -7.64, -10.24, -13.72   },
	{   -2.08,  -0.66,   0.66,   1.12,    1.1,   0.84,   0.42,
	    -0.02,  -0.34,   -0.6,  -0.76,  -1.04,  -1.32,  -1.68,
	       -2,   -2.4,  -2.98,  -3.86,  -5.54,  -8.44, -11.48   },
	{   -0.44,   1.16,   2.48,   2.94,   2.88,    2.5,   1.86,
	     1.14,   0.62,   0.26,      0,   -0.1,   -0.1,  -0.08,
	    -0.16,  -0.58,  -1.14,   -2.1,  -3.76,  -6.68,  -9.74   },
	{    0.88,   2.32,   3.88,   4.58,   4.66,    4.3,    3.6,
	     2.88,   2.22,   1.76,   1.38,   1.32,    1.4,    1.5,
	     1.48,   1.14,    0.4,   -0.7,  -2.42,  -5.34,   -8.4   },
	{    1.78,    3.6,   5.08,   6.02,   6.22,   5.82,   5.04,
	      4.2,    3.5,   3.06,   2.94,   3.02,   3.16,   3.26,
	     3.08,    2.6,   1.78,   0.44,  -1.54,  -4.28,  -7.78   },
	{    3.54,    4.4,   6.02,   7.18,   7.52,    7.2,   6.46,
	     5.56,   4.78,   4.28,   4.12,   4.36,   4.68,   4.78,
	     4.38,    3.7,   2.66,    1.3,  -0.82,  -3.74,     -6   },
	{    4.22,   5.26,   6.52,   8.06,   8.76,   8.78,   8.28,
	     7.52,   6.64,   5.96,   5.64,   5.62,   5.78,   5.86,
	     5.48,   4.54,   3.18,    1.5,  -0.74,     -3,  -5.32   },
	{    5.28,   6.08,   7.22,   8.66,   9.74,   10.1,   9.86,
	     9.28,   8.52,   7.86,    7.3,   6.96,   6.88,   6.76,
	     6.26,    5.3,   3.74,   1.54,  -0.38,   -2.8,  -4.62   },
	{    6.42,   7.18,   7.72,   8.08,   9.64,  10.34,  10.54,
	    10.32,   9.86,   9.18,   8.54,   8.12,   7.68,   7.18,
	     6.54,   5.56,   4.02,   1.54,  -0.02,   -1.7,   -3.7   },
	{    7.84,   7.22,   6.94,   8.12,    7.6,   9.14,   9.66,
	     9.98,   9.96,   9.58,   9.04,   8.42,   7.76,   7.02,
	     5.94,   4.82,    2.3,   1.58,  -0.66,  -1.76,  -2.68   },
	{     9.2,   8.84,   7.22,   6.66,   6.16,   6.52,   6.44,
	     7.72,   8.74,   8.98,   8.58,    7.8,   6.64,   5.02,
	      3.5,   2.68,   1.62,   0.36,  -0.58,  -0.74,   -1.5   },
	{   11.88,  10.16,   9.32,   6.74,      6,      4,   4.08,
	      5.4,   6.34,    7.2,    7.3,   6.42,    4.9,    3.3,
	     1.52,   0.86,    1.1,   0.36,   0.84,   0.26,   0.82   },
	{    13.6,  12.62,   10.4,    8.9,    5.5,   3.86,   3.48,
	     4.88,   5.64,   5.86,   6.12,   5.38,   4.42,   2.98,
	     1.14,   0.66,    0.8,   1.74,   1.66,   2.44,   2.52   }
    },
    {
	{   -2.46,  -2.12,  -2.44,  -2.26,   -2.3,  -2.02,  -1.38,
	    -0.74,  -1.14,  -0.42,  -0.02,   0.16,  -0.44,   0.14,
	    -0.38,   -0.8,  -0.88,  -0.56,  -0.56,   0.46,   0.52   },
	{   -2.76,  -2.92,   -2.5,  -2.36,  -1.72,   -1.3,  -0.52,
	        0,    0.7,   1.02,   1.42,   1.62,   1.46,   0.88,
	     0.46,  -0.36,  -0.44,  -0.92,  -0.58,  -0.76,    0.2   },
	{   -3.52,  -2.98,  -2.98,  -2.34,   -1.7,  -0.68,   0.28,
	     1.26,   1.92,   2.44,   2.78,   2.92,   2.74,   2.14,
	     1.14,   0.36,  -0.54,  -1.02,  -1.46,  -0.92,  -1.16   },
	{   -3.72,  -3.68,     -3,  -2.14,  -1.22,   0.04,   1.16,
	     1.98,   2.52,   2.96,   3.24,   3.32,   3.16,   2.72,
	     1.98,   0.92,  -0.02,  -0.94,   -1.6,  -2.08,  -1.62   },
	{   -4.36,  -3.72,  -3.06,  -1.88,  -0.68,   0.52,   1.42,
	     2.06,   2.52,   2.86,   3.04,   3.04,    2.9,   2.64,
	      2.2,   1.54,    0.5,  -0.64,  -1.98,   -2.3,     -3   },
	{   -4.46,  -4.12,  -2.74,  -1.62,  -0.34,    0.6,    1.3,
	      1.8,   2.16,   2.36,   2.44,   2.38,   2.32,   2.24,
	      2.1,   1.82,   1.18,  -0.04,  -1.32,  -3.04,   -3.3   },
	{    -4.4,  -3.62,   -2.6,  -1.24,  -0.26,   0.46,   0.98,
	     1.38,   1.62,   1.68,   1.64,   1.56,    1.6,    1.7,
	     1.86,   1.92,   1.68,   0.88,  -0.82,  -2.12,     -3   },
	{   -3.58,  -2.94,  -1.96,  -0.98,  -0.26,   0.26,   0.66,
	     0.94,   1.04,      1,   0.86,   0.82,   0.92,    1.2,
	     1.56,   1.94,    2.1,   1.74,   0.46,  -1.02,  -1.74   },
	{   -3.54,  -2.36,   -1.4,  -0.68,   -0.2,   0.16,   0.44,
	     0.62,   0.62,   0.44,   0.28,   0.26,    0.4,    0.8,
	     1.36,   1.98,   2.46,   2.46,   1.62,   0.06,  -1.82   },
	{   -2.96,  -1.96,  -0.88,  -0.34,  -0.02,   0.22,   0.44,
	     0.52,    0.4,   0.18,      0,  -0.04,   0.18,   0.64,
	      1.3,   2.06,   2.72,   2.98,   2.44,   0.82,  -0.78   },
	{   -2.46,  -1.38,  -0.42,   0.04,   0.28,   0.48,   0.64,
	     0.66,   0.46,    0.2,      0,  -0.02,   0.22,    0.7,
	     1.38,   2.18,   2.88,   3.24,   2.84,   1.42,  -0.28   },
	{   -2.06,  -1.02,  -0.06,   0.38,   0.62,    0.8,   0.98,
	     0.96,   0.74,    0.4,   0.18,   0.16,    0.4,    0.9,
	     1.58,   2.28,   2.92,   3.18,   2.78,   1.38,   -0.2   },
	{   -2.28,  -0.94,   0.06,   0.56,   0.86,   1.12,   1.26,
	      1.2,   0.94,   0.66,   0.44,   0.42,   0.64,   1.12,
	     1.72,   2.32,   2.78,   2.92,    2.4,    1.2,  -0.64   },
	{   -2.04,  -1.24,   -0.1,   0.54,   0.92,   1.24,   1.42,
	     1.36,    1.1,    0.8,   0.56,   0.54,   0.76,    1.2,
	     1.74,   2.22,   2.54,   2.54,   1.88,   0.74,    0.1   },
	{    -2.3,   -1.5,  -0.72,   0.18,   0.72,   1.12,   1.34,
	      1.3,   1.04,   0.76,   0.52,   0.52,   0.74,   1.16,
	     1.62,   2.02,    2.2,      2,   1.16,   0.44,   -0.3   },
	{   -2.56,  -1.98,   -1.2,   -0.5,   0.28,    0.8,   1.08,
	     1.08,   0.84,   0.56,   0.38,   0.38,    0.6,      1,
	      1.4,   1.66,    1.7,   1.28,   0.64,  -0.04,  -0.56   },
	{   -2.58,     -2,  -1.78,  -0.96,  -0.32,   0.42,    0.8,
	     0.88,   0.68,    0.4,   0.24,   0.26,   0.48,    0.8,
	     1.06,   1.16,   0.94,    0.5,   0.02,   0.06,  -0.44   },
	{   -2.26,  -2.16,  -1.74,   -1.4,  -0.68,  -0.06,   0.54,
	     0.72,    0.6,   0.38,   0.22,    0.2,   0.34,    0.5,
	      0.6,   0.46,   0.32,    0.1,  -0.06,  -0.06,    0.1   },
	{      -2,  -1.86,  -1.88,  -1.46,  -1.02,   -0.4,    0.1,
	      0.5,   0.48,   0.32,   0.16,    0.1,    0.1,    0.1,
	    -0.08,  -0.08,   -0.2,  -0.26,  -0.22,   0.22,   0.36   },
	{    -1.3,  -1.66,  -1.52,  -1.52,  -1.06,  -0.62,  -0.26,
	     0.02,   0.06,   0.22,    0.2,   0.06,   -0.2,  -0.38,
	    -0.56,   -0.7,  -0.44,  -0.44,    0.1,   0.24,   0.96   },
	{   -0.86,  -1.08,  -1.42,  -1.24,  -1.06,  -0.74,   -0.5,
	    -0.28,  -0.08,   0.02,    0.2,  -0.02,   -0.3,   -0.6,
	    -0.94,  -0.82,  -0.66,  -0.28,  -0.06,   0.64,      1   }
    },
    {
	{    -8.3,   -8.5,   -9.7,  -9.58,  -8.84,  -7.42,  -6.14,
	     -4.9,  -4.02,   -2.9,  -2.56,  -2.46,   -2.6,   -1.8,
	    -1.68,  -1.84,   -1.9,   -1.9,  -1.66,  -1.28,  -0.86   },
	{   -8.52,  -9.44,  -9.12,  -9.16,  -7.52,  -6.46,  -4.78,
	    -3.18,  -1.86,  -1.18,  -1.02,   -0.7,   -0.4,  -0.48,
	    -0.34,  -0.64,  -0.72,  -1.32,  -1.44,  -1.48,  -1.24   },
	{   -9.58,  -9.08,  -9.16,  -7.94,  -6.64,   -4.7,  -3.16,
	    -1.32,   -0.5,   0.06,   0.76,   1.08,    1.3,   1.28,
	     0.88,   0.32,  -0.22,  -0.96,  -1.38,  -1.38,  -1.66   },
	{   -9.52,  -9.24,  -8.24,  -7.02,   -4.9,  -2.96,     -1,
	    -0.04,   0.48,   1.38,   1.86,   2.32,   2.44,   2.38,
	        2,    1.2,    0.5,  -0.12,  -1.04,  -1.56,  -2.02   },
	{   -10.1,  -8.42,  -7.66,  -5.26,   -2.9,  -0.66,   0.54,
	     1.24,    2.1,   2.62,   2.96,   3.02,      3,   2.76,
	     2.48,   1.98,   1.34,    0.2,  -0.66,   -1.3,  -2.16   },
	{  -10.02,  -8.14,   -5.7,   -3.2,  -0.64,   0.88,   1.92,
	     2.94,   3.36,   3.52,   3.58,   3.48,   3.16,      3,
	     2.84,   2.62,   2.22,   1.26,  -0.18,  -0.94,  -2.28   },
	{    -9.2,  -6.78,  -3.94,   -0.9,   0.86,   1.84,   2.82,
	     3.44,   3.66,   3.64,   3.48,   3.34,   3.26,   3.18,
	      3.2,   3.14,   2.42,   1.36,   0.06,  -0.96,  -2.32   },
	{   -7.66,   -5.6,  -2.36,   0.14,   1.24,   2.02,   2.78,
	     2.96,   2.94,   2.92,   2.96,   3.04,   3.06,   3.16,
	     3.26,   2.76,   2.04,   1.24,   0.26,   -1.2,  -2.56   },
	{    -8.3,  -4.46,  -1.58,    0.2,   0.98,    1.8,   2.02,
	     2.08,   2.08,    2.1,    2.2,   2.34,   2.52,   2.64,
	      2.5,   2.08,   1.58,   1.12,   0.42,  -1.34,  -3.86   },
	{   -7.34,  -4.44,  -1.12,   0.24,    1.1,   1.52,   1.58,
	     1.46,   1.28,   1.22,   1.14,   1.18,   1.64,    1.8,
	     1.64,    1.4,   1.18,   0.94,   0.06,  -1.64,  -3.92   },
	{    -6.6,  -3.44,  -0.68,   0.46,   1.28,    1.4,   1.24,
	      0.9,   0.42,   0.06,      0,    0.4,   0.88,   0.92,
	     0.76,    0.7,   0.74,   0.26,  -0.74,  -2.88,  -5.02   },
	{   -6.26,  -3.26,  -0.68,   0.74,    1.1,   0.98,   0.68,
	     0.22,  -0.18,  -0.46,  -0.38,   0.08,   0.14,   0.06,
	    -0.02,   0.06,  -0.24,   -0.8,   -2.2,  -4.42,  -6.62   },
	{   -6.92,  -3.54,  -1.22,   0.54,   0.96,    0.9,   0.56,
	     0.16,  -0.24,  -0.46,  -0.26,  -0.36,  -0.54,  -0.78,
	     -0.8,  -1.04,  -1.38,  -2.34,  -3.78,  -5.84,   -8.2   },
	{   -6.46,  -4.48,  -1.68,   0.22,   0.86,   0.88,   0.62,
	     0.24,  -0.16,  -0.28,   -0.3,  -0.76,  -1.26,   -1.5,
	    -1.88,  -2.16,  -2.86,  -4.06,  -5.58,  -7.26,   -8.7   },
	{    -7.3,  -5.46,  -3.22,   -0.9,    0.1,   0.34,    0.3,
	     0.02,  -0.22,  -0.22,   -0.7,  -1.38,  -1.92,  -2.28,
	    -2.74,  -3.52,  -4.44,  -5.38,     -7,   -8.5, -10.04   },
	{   -8.38,  -6.62,  -5.02,     -3,  -1.34,  -0.76,  -0.68,
	    -0.84,  -0.86,  -0.98,  -1.56,  -2.26,   -2.6,  -3.28,
	    -4.02,  -4.74,  -5.58,  -6.88,  -8.42,  -9.86, -11.42   },
	{   -8.84,  -7.48,  -7.04,  -5.74,     -4,  -2.72,  -2.28,
	     -2.2,     -2,   -2.3,  -2.94,  -3.62,  -3.88,  -4.32,
	     -5.2,  -6.18,   -7.5,  -9.04,  -9.88, -11.26, -12.72   },
	{   -8.86,  -8.94,  -8.66,  -7.78,  -6.92,  -5.68,   -4.6,
	    -4.12,   -3.8,  -4.08,  -4.52,  -4.66,  -5.08,  -5.88,
	     -7.3,  -8.94, -10.52, -10.88, -12.42, -13.22, -13.92   },
	{   -9.12,  -9.12, -10.02,  -9.78,  -9.54,  -8.48,  -7.92,
	    -6.34,  -5.56,   -5.7,  -6.02,  -6.22,  -7.12,  -9.04,
	   -11.54, -12.32, -13.54, -13.54,  -14.2, -14.26, -14.98   },
	{   -8.46,  -9.66, -10.02, -11.34, -11.02, -11.44,  -10.4,
	    -9.24,  -8.62,   -7.8,  -7.82,  -8.88, -10.76, -12.46,
	   -14.82, -16.28, -14.94, -15.22, -14.84,  -15.4,    -15   },
	{   -8.46,  -9.22, -10.88,  -11.6, -12.94, -12.86,  -12.5,
	   -11.28, -10.76, -10.62, -10.44, -11.46, -12.62,  -14.3,
	   -16.52, -17.26, -16.76, -15.72, -16.02, -15.54,  -15.8   }
    },
    {
	{   -9.74, -10.02, -10.74,    -11,  -11.6, -11.72, -11.48,
	   -10.82, -11.34, -10.74,  -10.4, -10.32, -10.86, -10.34,
	    -10.8,  -11.2, -11.22,  -10.8, -10.44,  -9.64,   -9.2   },
	{   -9.04,  -9.68,  -9.58,  -9.98,  -9.68,  -9.82,  -9.34,
	     -8.8,   -8.2,  -7.88,  -7.46,  -7.44,  -7.62,  -8.16,
	    -8.52,   -9.1,  -9.22,  -9.68,  -9.42,   -9.5,  -8.96   },
	{   -8.96,   -8.7,  -8.98,  -8.66,  -8.16,  -7.54,  -7.02,
	    -6.24,   -5.6,  -5.06,   -4.7,   -4.6,  -4.86,  -5.44,
	    -6.26,  -6.96,  -7.74,  -8.34,  -8.78,  -8.68,  -8.96   },
	{   -8.34,  -8.22,  -7.76,  -6.76,  -6.26,   -5.2,   -4.5,
	    -3.98,  -3.54,  -3.16,  -2.84,   -2.7,  -2.84,  -3.26,
	     -3.9,  -4.76,  -5.86,  -6.52,  -7.54,  -8.04,   -8.5   },
	{   -7.92,  -6.96,  -6.26,  -5.36,  -4.04,   -3.2,  -2.72,
	    -2.46,  -2.22,  -1.94,  -1.66,  -1.48,  -1.48,  -1.74,
	    -2.18,  -2.84,   -3.8,   -5.1,  -6.06,  -6.78,  -7.98   },
	{    -7.1,   -6.1,  -4.88,  -3.52,   -2.4,   -1.8,  -1.52,
	    -1.46,  -1.38,  -1.16,  -0.92,  -0.66,  -0.56,  -0.66,
	    -0.94,  -1.42,  -2.16,  -3.28,   -4.7,  -5.72,  -7.32   },
	{   -6.06,  -4.94,   -3.6,   -2.1,  -1.22,  -0.78,  -0.68,
	    -0.72,  -0.76,  -0.66,  -0.44,  -0.12,   0.08,    0.1,
	    -0.06,  -0.42,  -0.98,  -1.94,  -3.42,  -4.92,  -6.46   },
	{   -4.78,  -3.72,  -2.26,     -1,  -0.26,      0,   0.02,
	    -0.14,   -0.3,  -0.32,  -0.14,   0.16,   0.42,   0.52,
	     0.42,   0.18,  -0.28,  -1.14,  -2.46,  -4.36,  -5.84   },
	{   -4.22,  -2.52,  -1.06,      0,   0.58,   0.74,    0.6,
	     0.32,   0.02,  -0.12,  -0.04,    0.2,    0.5,   0.64,
	     0.62,   0.42,   0.02,   -0.7,  -1.94,   -3.7,  -5.92   },
	{   -3.04,  -1.56,  -0.02,   0.88,   1.28,   1.28,   1.02,
	     0.62,    0.2,  -0.06,  -0.06,   0.12,   0.44,   0.62,
	     0.64,   0.48,   0.14,   -0.5,  -1.64,  -3.48,   -5.3   },
	{   -2.08,  -0.56,   0.82,   1.54,   1.76,   1.62,   1.26,
	     0.78,    0.3,      0,      0,   0.18,   0.48,   0.68,
	      0.7,   0.54,   0.22,  -0.38,  -1.46,  -3.24,   -5.1   },
	{   -1.44,   0.08,   1.34,   1.86,   1.96,   1.76,    1.4,
	     0.94,    0.5,   0.24,   0.22,   0.42,    0.7,   0.88,
	     0.88,   0.68,   0.32,  -0.28,   -1.4,  -3.18,  -5.02   },
	{    -1.5,   0.26,   1.48,   1.94,      2,   1.84,   1.52,
	     1.16,   0.82,   0.62,   0.66,   0.88,   1.12,   1.24,
	     1.14,   0.84,   0.38,  -0.32,  -1.54,  -3.34,  -5.54   },
	{   -0.58,   0.22,   1.32,   1.88,      2,   1.92,    1.7,
	     1.44,   1.22,    1.1,   1.18,   1.36,   1.56,   1.58,
	     1.38,   0.94,   0.32,  -0.58,  -2.02,  -3.88,   -5.3   },
	{    -0.5,   0.34,   0.96,   1.66,   1.96,      2,    1.9,
	     1.76,   1.62,   1.56,   1.66,   1.82,   1.94,   1.84,
	      1.5,    0.9,   0.06,  -1.12,  -2.86,  -4.42,  -5.88   },
	{   -0.46,   0.12,   0.74,   1.28,   1.78,      2,   2.02,
	     1.98,   1.92,   1.92,   2.02,   2.14,    2.2,      2,
	      1.5,   0.66,  -0.46,  -2.02,   -3.5,   -5.1,  -6.22   },
	{   -0.22,   0.34,   0.46,   0.92,   1.42,   1.82,   2.04,
	     2.12,   2.16,    2.2,   2.28,   2.38,   2.34,   2.02,
	     1.28,   0.18,  -1.34,  -2.72,  -4.26,  -5.02,   -6.2   },
	{    0.22,   0.36,   0.46,    0.7,      1,   1.38,   1.82,
	      2.1,   2.28,   2.36,   2.46,    2.5,   2.36,   1.84,
	     0.84,   -0.6,  -1.94,  -3.36,  -4.22,  -5.12,   -5.5   },
	{    0.62,   0.74,    0.5,   0.56,   0.62,   0.98,   1.22,
	     1.78,    2.1,    2.3,   2.42,   2.46,   2.18,   1.42,
	     0.06,  -1.18,  -2.58,  -3.42,  -4.32,  -4.44,  -5.08   },
	{    1.32,   0.94,   0.98,   0.56,   0.64,   0.44,   0.84,
	     1.32,   1.68,   2.06,   2.14,   1.86,   1.18,    0.6,
	    -0.54,  -1.78,  -2.54,  -3.48,  -3.54,  -4.12,   -3.8   },
	{    1.66,   1.56,   1.08,   0.98,   0.58,   0.54,   0.68,
	     1.24,   1.62,   1.78,   1.76,   1.18,   0.84,   0.12,
	    -0.88,   -1.8,  -2.58,  -2.76,   -3.3,  -2.88,  -3.08   }
    },
    {
	{  -18.62,  -19.1, -20.34, -20.42, -20.32,  -19.6, -18.42,
	    -17.8, -19.32, -18.46, -18.28,  -18.4, -18.96,  -16.4,
	   -16.64, -16.76, -16.34, -16.18, -15.84, -14.64, -13.94   },
	{  -18.12, -18.96, -18.54, -18.58, -17.06, -15.86, -14.32,
	      -14, -13.18, -13.26, -13.08, -13.12, -12.64, -13.08,
	   -13.02, -13.32,  -13.1, -13.96, -14.12, -14.26, -13.28   },
	{  -18.46, -17.68, -17.68, -16.42, -14.62, -12.84, -11.06,
	    -9.62,  -8.94,  -8.44,  -7.92,  -7.74,   -7.9,   -8.3,
	    -9.34, -10.14, -11.14, -12.08, -12.94, -12.86, -13.24   },
	{  -18.12, -17.06, -15.74, -13.92, -11.76,  -9.82,  -7.94,
	    -6.58,  -6.06,  -5.76,  -5.22,  -4.88,  -4.64,  -4.86,
	     -5.4,   -6.7,  -8.64,  -9.38, -11.18, -12.08, -12.48   },
	{   -18.1, -15.22,  -13.8,  -11.3,  -8.48,  -6.38,     -5,
	     -3.9,  -3.56,  -3.52,  -3.38,  -3.04,  -2.92,  -3.06,
	    -3.44,  -4.24,  -5.68,  -7.62,  -9.32, -10.32, -11.94   },
	{   -17.2,  -13.9, -10.98,  -7.82,  -5.18,  -3.58,  -2.62,
	    -1.94,  -1.46,   -1.5,  -1.62,  -1.42,  -1.32,   -1.4,
	     -1.9,  -2.54,  -3.78,  -5.46,   -7.3,   -9.4, -10.94   },
	{  -15.42, -11.84,  -8.34,   -4.8,  -2.74,   -1.6,  -1.04,
	    -0.72,  -0.32,  -0.32,  -0.46,   -0.5,  -0.18,  -0.14,
	     -0.3,  -0.86,   -1.7,  -3.22,  -5.36,  -7.38,  -9.38   },
	{  -14.08,  -10.6,  -5.76,  -2.62,     -1,  -0.28,  -0.02,
	        0,    0.1,   0.26,   0.14,   0.02,   0.28,   0.62,
	     0.68,   0.54,  -0.06,  -1.08,  -2.98,  -5.72,  -7.66   },
	{  -14.54,   -8.9,  -4.38,   -1.5,   -0.1,   0.34,   0.36,
	     0.22,    0.1,    0.2,   0.36,   0.38,   0.52,   0.92,
	     1.32,   1.38,   1.08,   0.22,  -1.24,  -3.84,  -7.14   },
	{  -12.86,  -8.48,  -3.98,  -1.06,   0.24,   0.58,   0.44,
	     0.24,  -0.04,  -0.16,   0.14,   0.46,   0.76,   1.08,
	     1.56,   1.92,   1.76,   1.24,  -0.24,  -2.78,  -5.36   },
	{  -12.54,  -8.18,  -3.78,  -0.84,   0.46,   0.82,   0.68,
	      0.4,   0.14,  -0.06,      0,   0.56,   1.02,    1.4,
	      1.7,   2.02,   2.22,    1.8,   0.62,  -1.88,  -4.48   },
	{  -12.18,   -7.7,  -3.28,   -0.7,   0.72,   1.08,   1.02,
	      0.8,   0.62,   0.54,   0.62,    0.9,   1.52,    1.9,
	      2.1,   2.18,   2.22,    2.1,   1.02,  -1.36,     -4   },
	{  -13.52,   -7.9,  -3.54,  -0.88,   0.46,   0.98,      1,
	     0.92,   0.82,   0.88,   1.08,   1.44,   1.92,   2.58,
	     2.86,   2.76,   2.52,   2.04,    0.9,  -1.24,  -4.12   },
	{  -12.52,  -9.24,  -4.62,  -1.28,   0.22,   1.02,   1.28,
	     1.36,   1.38,   1.42,    1.6,   1.88,   2.26,   2.74,
	     3.28,   3.56,   3.32,   2.34,   0.56,  -1.24,  -2.88   },
	{  -14.06, -10.68,  -6.86,  -2.38,  -0.02,      1,   1.78,
	     2.12,   2.32,   2.44,   2.56,   2.76,   2.94,   3.14,
	     3.38,   3.64,    3.6,    2.6,   0.38,  -1.56,  -3.02   },
	{   -14.9, -12.48,  -8.92,  -5.26,  -1.48,   0.52,    1.5,
	     2.36,   2.86,    3.2,   3.42,   3.58,   3.68,   3.78,
	     3.76,   3.52,    2.9,    1.7,   -0.2,  -1.46,  -3.08   },
	{     -15,  -12.4, -11.46,  -8.22,  -4.82,  -1.36,   0.46,
	     1.36,   2.22,    2.7,   3.12,   3.52,   3.76,   3.84,
	     3.76,    3.2,   1.94,   0.46,  -0.96,  -1.32,   -2.4   },
	{   -13.8, -13.44, -12.22, -10.68,  -8.04,  -4.92,  -1.96,
	    -0.52,   0.16,   0.98,    1.6,   2.18,   2.64,   2.78,
	     2.56,    1.8,   0.26,   0.04,   -1.4,  -1.84,  -1.78   },
	{   -13.3, -12.34, -13.08, -11.94, -11.14,  -8.04,  -6.04,
	     -2.3,   -2.6,  -1.98,   -1.2,  -0.34,   0.32,   0.48,
	    -0.04,   -0.6,  -1.36,  -1.62,  -1.72,  -1.02,  -1.28   },
	{  -11.38, -12.34, -11.98, -13.26, -11.78, -11.18,  -8.76,
	    -6.86,  -5.86,  -4.28,   -3.9,  -3.22,  -2.84,  -2.38,
	    -2.54,  -2.46,  -2.02,  -2.24,  -1.06,  -0.76,  -0.08   },
	{  -10.76, -10.78, -12.44, -12.66, -13.66, -12.62,  -11.2,
	    -9.46,   -8.2,  -7.14,  -5.66,  -5.52,   -4.7,  -4.16,
	    -3.96,   -3.9,   -3.2,   -1.7,  -0.96,   0.12,   0.58   }
    },
    {
	{   -2.54,  -2.36,  -2.88,  -2.88,   -3.1,   -2.9,  -2.32,
	    -1.68,  -2.24,  -1.42,  -0.68,   0.28,   1.36,    4.2,
	      5.7,   7.02,   8.66,   10.3,  11.94,  13.24,  14.38   },
	{   -2.68,  -3.08,   -2.8,  -2.84,  -2.28,  -1.94,   -1.2,
	    -0.74,  -0.04,   0.24,   0.94,   1.94,   3.54,   4.78,
	     6.48,   7.78,   9.24,  10.46,  11.76,  13.02,  14.16   },
	{   -3.56,   -3.1,  -3.24,  -2.68,  -2.06,   -1.1,  -0.16,
	     0.76,   1.42,      2,   2.68,    3.6,   4.72,    5.9,
	     6.96,   7.98,   9.02,  10.16,  11.38,  12.74,  13.78   },
	{   -3.84,  -3.72,  -3.12,  -2.24,  -1.38,  -0.18,    0.9,
	      1.7,   2.28,    2.8,   3.38,    4.2,   5.26,   6.34,
	     7.38,   8.32,   8.98,  10.22,  10.96,   12.1,  13.16   },
	{   -4.46,  -3.62,     -3,  -1.84,  -0.64,    0.5,   1.36,
	        2,   2.44,   2.86,   3.36,   4.08,   5.06,   6.12,
	     7.16,   8.18,   9.02,   9.74,  10.66,  11.66,   12.5   },
	{   -4.54,  -3.84,  -2.54,  -1.32,  -0.08,   0.76,   1.38,
	     1.82,   2.16,   2.48,   2.92,   3.56,   4.48,   5.48,
	     6.52,    7.6,    8.6,   9.42,  10.12,  10.82,   11.7   },
	{   -4.38,  -3.42,  -2.22,  -0.78,   0.16,   0.78,   1.16,
	      1.4,    1.6,   1.86,   2.24,    2.8,    3.7,   4.68,
	     5.72,   6.84,   7.96,   8.92,   9.52,  10.22,  10.96   },
	{   -3.82,   -2.9,  -1.64,   -0.5,   0.24,   0.64,   0.82,
	     0.88,   0.96,   1.14,   1.48,   2.02,    2.9,   3.88,
	     4.94,   6.08,   7.24,    8.3,   9.06,   9.58,  10.38   },
	{   -3.96,  -2.44,  -1.26,  -0.44,    0.2,   0.44,   0.44,
	      0.4,   0.38,   0.46,   0.76,   1.32,   2.18,    3.2,
	     4.24,    5.4,   6.56,   7.68,    8.5,   9.02,   9.14   },
	{   -3.54,   -2.3,  -0.96,   -0.2,    0.2,    0.3,   0.18,
	     0.04,  -0.06,      0,   0.24,    0.8,   1.66,   2.68,
	     3.72,   4.84,      6,   7.08,   7.94,    8.3,   8.58   },
	{   -3.24,  -1.96,  -0.74,  -0.06,   0.22,   0.24,   0.06,
	    -0.14,  -0.26,  -0.24,      0,   0.56,    1.4,   2.38,
	     3.38,   4.44,    5.5,   6.52,   7.28,    7.6,   7.82   },
	{   -3.02,  -1.76,   -0.6,   0.02,   0.28,   0.26,   0.08,
	    -0.12,  -0.26,  -0.24,      0,   0.54,   1.38,    2.3,
	     3.22,   4.18,    5.1,   5.94,   6.54,   6.72,   6.98   },
	{   -3.06,  -1.58,  -0.56,   0.08,   0.32,   0.32,   0.22,
	     0.06,  -0.06,  -0.04,   0.22,   0.76,   1.54,   2.38,
	      3.2,      4,   4.76,   5.36,   5.68,   5.86,      6   },
	{   -2.32,   -1.6,  -0.58,    0.1,    0.4,   0.46,   0.42,
	     0.32,   0.26,    0.3,   0.56,   1.12,   1.82,   2.54,
	     3.24,   3.88,    4.4,   4.72,   4.74,    4.8,    5.2   },
	{   -2.28,  -1.52,  -0.78,   0.06,   0.44,   0.62,   0.64,
	     0.62,   0.62,   0.74,   1.02,   1.54,   2.12,   2.66,
	      3.2,   3.64,   3.96,   3.94,   3.58,   3.52,   3.82   },
	{    -2.2,  -1.56,  -0.88,  -0.16,   0.38,   0.66,    0.8,
	     0.88,   0.96,   1.12,    1.4,   1.86,    2.3,   2.66,
	     2.96,   3.16,   3.18,   2.92,   2.74,   2.52,   3.12   },
	{   -1.96,  -1.32,  -1.04,  -0.54,    0.1,   0.52,   0.78,
	      0.9,   1.08,   1.28,    1.6,   1.98,   2.24,   2.34,
	     2.38,    2.3,   2.02,   1.78,    1.7,    2.1,   2.58   },
	{    -1.6,  -1.38,  -1.18,  -0.64,  -0.44,   0.12,   0.44,
	     0.68,    0.9,   1.14,   1.46,    1.7,   1.78,   1.62,
	      1.3,    0.9,    0.7,    0.7,   0.96,   1.38,   2.62   },
	{   -1.32,  -1.12,  -1.22,  -1.08,  -0.84,  -0.54,  -0.28,
	     0.08,   0.34,   0.58,   0.86,   0.96,   0.76,   0.34,
	    -0.32,  -0.44,  -0.68,  -0.16,   0.28,   1.54,   2.14   },
	{   -0.82,  -0.98,   -0.9,  -1.22,  -1.06,  -1.12,  -0.92,
	    -0.58,  -0.28,  -0.04,  -0.02,  -0.24,  -0.66,  -1.06,
	    -1.66,  -2.08,   -1.3,  -0.88,   0.42,   1.08,   2.74   },
	{   -0.64,  -0.58,  -0.88,  -0.98,  -1.34,   -1.4,  -1.28,
	     -0.9,  -0.64,  -0.56,   -0.7,  -1.18,  -1.44,  -1.88,
	    -2.62,  -2.62,  -2.14,  -0.74,   0.02,   1.76,   2.54   }
    },
    {
	{    -3.5,  -3.68,  -4.02,  -3.92,  -3.98,  -3.96,  -3.92,
	    -3.52,  -3.72,   -3.4,  -3.06,  -2.66,   -2.4,  -1.64,
	     -1.5,   -0.9,   -0.1,   0.94,   1.76,   2.86,   3.64   },
	{   -3.16,  -3.62,   -3.5,  -3.58,  -3.36,  -3.44,   -3.2,
	     -2.9,  -2.62,  -2.44,  -2.02,  -1.68,  -1.24,     -1,
	    -0.78,  -0.42,   0.56,   1.08,    2.1,   2.72,   3.74   },
	{    -3.3,  -3.22,  -3.28,  -3.04,  -2.72,  -2.52,  -2.38,
	    -2.06,  -1.78,  -1.46,  -1.08,  -0.64,  -0.26,   0.02,
	     0.18,   0.68,   1.08,   1.52,   2.04,    2.9,   3.44   },
	{   -3.04,  -3.04,  -2.78,  -2.26,     -2,  -1.64,   -1.4,
	    -1.26,  -1.12,  -0.88,   -0.5,  -0.04,   0.48,   0.94,
	     1.38,   1.68,    1.9,   2.38,    2.4,   2.88,   3.34   },
	{   -3.06,  -2.56,  -2.24,  -1.72,  -1.08,  -0.78,   -0.7,
	     -0.7,  -0.64,  -0.48,  -0.16,   0.32,   0.88,   1.48,
	     2.08,   2.58,    2.9,    2.8,   2.92,   3.24,    3.1   },
	{   -2.74,  -2.32,  -1.56,  -0.82,  -0.32,  -0.12,  -0.12,
	    -0.16,   -0.2,   -0.1,   0.12,   0.56,   1.12,   1.76,
	     2.46,   3.14,    3.6,   3.72,   3.42,   3.34,   3.06   },
	{    -2.2,  -1.64,  -0.92,  -0.08,   0.32,   0.48,   0.46,
	     0.34,   0.24,   0.24,   0.38,   0.74,   1.26,   1.94,
	     2.72,   3.44,   4.02,   4.22,   3.86,   3.54,   3.26   },
	{    -1.3,  -0.88,  -0.06,   0.66,   0.94,   1.02,   0.94,
	     0.72,   0.56,   0.46,    0.5,   0.76,   1.24,   1.96,
	     2.76,   3.58,   4.26,   4.54,   4.28,   3.66,    3.5   },
	{   -1.04,  -0.06,    0.8,   1.38,   1.52,   1.46,   1.24,
	     0.92,    0.6,   0.38,   0.36,   0.56,   1.02,   1.76,
	     2.66,    3.6,   4.34,   4.72,   4.54,   3.94,   2.88   },
	{   -0.28,    0.6,   1.58,   1.94,   1.92,   1.68,   1.32,
	     0.86,   0.46,   0.18,   0.12,   0.32,   0.82,   1.58,
	     2.56,   3.56,   4.38,   4.84,   4.74,    3.9,   3.18   },
	{    0.42,   1.42,   2.18,    2.3,    2.1,   1.76,   1.34,
	     0.84,   0.44,   0.08,      0,    0.2,   0.68,   1.48,
	      2.5,   3.56,   4.42,   4.92,   4.92,   4.22,   3.46   },
	{    0.76,   1.66,   2.34,   2.44,   2.22,   1.84,   1.38,
	      0.9,   0.48,   0.16,   0.08,   0.28,   0.78,   1.56,
	     2.54,   3.56,   4.42,   4.94,   4.96,   4.36,   3.62   },
	{     0.1,   1.24,   2.14,   2.36,   2.24,   1.92,   1.54,
	     1.08,    0.7,   0.42,   0.32,    0.5,   0.94,    1.7,
	      2.6,   3.54,   4.28,   4.76,   4.86,   4.38,   3.28   },
	{   -0.06,   0.44,    1.4,   1.98,   2.08,   1.96,   1.64,
	     1.26,    0.9,   0.62,    0.5,   0.64,   1.08,   1.78,
	      2.6,    3.4,   4.08,   4.48,   4.56,   4.04,   3.84   },
	{   -0.92,  -0.44,   0.22,   1.24,   1.72,   1.76,   1.58,
	     1.26,   0.94,   0.66,   0.56,   0.74,    1.2,   1.86,
	     2.58,   3.24,   3.76,      4,   3.92,   3.92,   3.62   },
	{   -1.32,  -1.36,  -0.34,   0.32,   1.12,   1.42,   1.38,
	     1.16,   0.88,   0.66,   0.62,   0.82,   1.28,   1.92,
	     2.54,   3.02,   3.28,   3.26,   3.32,   3.34,    3.3   },
	{   -1.26,  -1.02,  -1.08,  -0.24,   0.46,      1,   1.12,
	     1.02,    0.8,   0.64,   0.66,   0.88,   1.28,   1.82,
	     2.28,   2.56,    2.5,    2.6,   2.64,   3.18,    3.2   },
	{   -0.64,  -1.14,  -0.98,  -0.66,  -0.22,    0.4,   0.72,
	     0.72,   0.62,    0.5,   0.54,   0.72,   1.06,   1.46,
	     1.74,   1.74,   1.78,   1.94,    2.4,   2.86,   3.42   },
	{   -0.46,  -0.62,  -1.16,  -1.02,  -0.68,  -0.36,  -0.12,
	     0.06,   0.06,   0.32,   0.04,   0.18,   0.44,    0.7,
	     0.74,   0.92,      1,    1.6,   2.12,   3.04,   3.54   },
	{    0.24,  -0.62,  -0.78,   -1.2,  -0.98,  -0.94,  -0.86,
	     -0.6,  -0.48,  -0.28,  -0.16,   -0.1,  -0.24,  -0.14,
	    -0.08,   0.08,   0.76,   1.28,    2.4,   2.98,   4.04   },
	{    0.36,  -0.06,  -0.86,  -0.98,  -1.22,  -1.26,  -1.28,
	    -0.98,  -0.74,  -0.54,   -0.3,  -0.34,  -0.42,  -0.56,
	    -0.62,  -0.24,   0.36,   1.46,    2.2,   3.32,   3.98   }
    },
    {
	{    5.88,   6.16,   6.08,   6.18,    6.1,    5.9,   5.72,
	     5.68,   4.86,   4.92,   5.08,   5.24,   5.32,      6,
	      5.8,   6.44,   7.22,   8.36,    9.1,   10.2,  10.74   },
	{    5.74,   5.58,   5.68,   5.64,   5.58,   5.38,   5.34,
	     5.14,   5.12,      5,   5.22,   5.34,   5.62,   5.68,
	      5.6,   5.82,    6.9,    7.3,   8.44,      9,  10.02   },
	{     5.1,   5.16,      5,   4.96,    4.9,   4.84,   4.78,
	      4.8,   4.86,   5.06,    5.3,   5.52,   5.68,    5.8,
	      5.8,   6.32,   6.64,    6.8,   7.22,   8.22,    8.7   },
	{    4.64,   4.34,   4.32,   4.28,   4.28,   4.28,   4.28,
	     4.24,   4.32,    4.5,   4.76,    5.1,    5.5,   5.96,
	      6.4,   6.68,   6.64,   6.96,    6.6,    6.9,   7.68   },
	{    3.72,   3.62,   3.42,   3.66,   3.62,   3.62,   3.54,
	     3.48,    3.5,   3.68,   3.98,   4.44,      5,   5.68,
	     6.42,   7.02,    7.2,   6.44,   6.26,    6.3,   6.22   },
	{    3.14,   2.64,   3.04,   3.06,    3.1,   3.02,   2.82,
	     2.68,   2.68,   2.84,   3.18,   3.68,   4.32,    5.1,
	     5.98,   6.72,   7.08,   6.72,   5.88,   5.12,   5.22   },
	{    2.78,   2.62,   2.62,   2.86,   2.76,   2.56,    2.3,
	     2.08,   1.98,   2.08,    2.4,    2.9,   3.52,   4.36,
	     5.24,   6.04,   6.52,   6.36,   5.32,   4.62,   4.56   },
	{    3.04,   2.78,   2.76,    2.8,    2.6,    2.3,   1.96,
	     1.64,   1.42,    1.4,   1.62,   2.06,   2.74,   3.52,
	     4.42,   5.24,    5.8,   5.86,    5.2,   4.64,   4.62   },
	{     2.6,   2.94,      3,    2.9,   2.62,   2.24,   1.82,
	     1.36,   0.98,    0.8,    0.9,   1.28,   1.96,   2.76,
	     3.64,   4.48,   5.08,   5.36,   5.06,    4.5,   3.68   },
	{    2.84,   3.08,   3.36,    3.2,    2.8,   2.32,   1.78,
	     1.18,   0.64,   0.32,    0.3,   0.68,    1.3,   2.12,
	     2.98,   3.82,   4.52,   4.98,   4.94,    4.2,   3.54   },
	{    3.28,   3.54,    3.8,   3.58,   3.12,   2.52,   1.86,
	     1.12,   0.46,   0.06,      0,   0.28,   0.86,   1.64,
	      2.5,   3.32,   4.08,   4.66,   4.76,   4.16,   3.42   },
	{    3.76,      4,   4.28,   4.06,   3.52,    2.8,   2.02,
	      1.2,   0.52,   0.12,      0,   0.22,    0.7,   1.34,
	     2.14,   2.94,   3.76,   4.38,   4.56,    3.9,   3.26   },
	{    4.22,   4.72,    4.8,   4.56,   3.92,   3.14,   2.28,
	      1.5,   0.88,   0.46,   0.36,   0.48,    0.8,    1.3,
	     1.96,   2.74,   3.54,   4.16,    4.3,   3.94,   3.04   },
	{     5.5,   5.24,    5.3,   5.06,    4.4,   3.54,    2.7,
	        2,   1.42,   1.06,    0.9,    0.9,   1.08,   1.42,
	     1.96,   2.66,   3.42,   3.98,   4.02,    3.8,      4   },
	{    6.12,   5.92,   5.72,   5.52,   4.86,    4.1,    3.3,
	      2.6,   2.14,   1.76,   1.52,    1.4,   1.44,   1.66,
	      2.1,   2.72,   3.42,    3.9,    3.8,   3.86,   3.92   },
	{    6.74,   6.46,    6.2,   5.88,   5.44,   4.74,   3.98,
	     3.36,   2.86,   2.42,    2.1,   1.86,    1.8,   1.94,
	     2.28,   2.84,   3.46,   3.84,    3.9,    3.9,   4.12   },
	{    7.56,   7.32,    6.7,   6.24,    5.8,   5.28,   4.68,
	     4.08,   3.52,      3,   2.58,   2.26,   2.14,    2.2,
	     2.48,    2.9,   3.42,   3.66,   3.94,   4.42,   4.54   },
	{    8.34,    7.9,   7.24,   6.78,   6.06,   5.62,   5.16,
	     4.56,   3.98,   3.44,   2.94,    2.6,    2.4,   2.38,
	     2.54,   2.82,   3.34,   3.86,   4.14,   4.62,   4.98   },
	{    9.02,   8.54,    7.8,   7.08,    6.3,   5.72,    5.1,
	     4.62,   4.08,   3.54,   3.08,   2.72,   2.46,   2.34,
	     2.34,   2.82,   3.24,   3.78,   4.28,   4.84,   5.12   },
	{     9.6,   9.08,   8.48,   7.56,   6.82,   5.78,   5.12,
	     4.64,   4.18,   3.76,   3.36,      3,   2.72,   2.42,
	     2.34,   2.46,   3.34,   3.84,   4.48,   4.78,   5.24   },
	{   10.02,   9.58,   8.94,   8.18,   7.16,   6.24,   5.54,
	     5.06,   4.58,   4.18,   3.84,    3.5,   3.06,   2.76,
	     2.46,    2.8,   3.32,   3.96,    4.4,    4.9,      5   }
    },
    {
	{   -15.2, -14.24, -13.72, -12.74,    -12, -10.98,  -9.72,
	    -8.22,  -7.52,  -6.08,  -5.08,  -4.38,  -4.24,   -3.1,
	    -2.78,   -2.6,  -2.22,  -1.82,  -1.48,  -1.06,   -0.9   },
	{  -14.98, -14.34,  -13.1, -12.32, -10.98,  -9.98,  -8.42,
	    -7.04,  -5.56,   -4.4,  -3.36,   -2.7,  -2.28,  -2.12,
	    -1.74,  -1.64,   -1.4,  -1.44,  -1.24,  -1.22,  -0.96   },
	{  -15.16, -13.84, -12.98, -11.64, -10.28,  -8.66,  -7.12,
	     -5.4,  -3.96,  -2.74,   -1.8,  -1.14,  -0.84,  -0.72,
	    -0.84,  -0.94,  -1.06,  -1.26,  -1.34,  -1.12,  -1.26   },
	{  -14.88, -13.76, -12.34, -10.76,  -9.12,  -7.42,  -5.68,
	    -4.18,  -2.86,  -1.76,   -0.9,  -0.34,  -0.02,    0.1,
	     0.08,  -0.08,  -0.58,  -0.68,  -1.22,   -1.4,  -1.48   },
	{  -14.98,  -13.1, -11.82,   -9.8,  -7.96,  -6.18,  -4.74,
	    -3.48,  -2.32,  -1.32,  -0.56,  -0.08,   0.24,    0.4,
	     0.48,   0.42,    0.1,  -0.52,  -1.02,   -1.3,  -1.86   },
	{   -14.6, -12.68,  -10.6,  -8.52,  -6.66,   -5.2,  -4.06,
	       -3,     -2,  -1.12,   -0.5,   -0.1,   0.16,   0.38,
	     0.56,   0.62,   0.46,  -0.06,  -0.74,  -1.54,  -1.98   },
	{  -13.72,  -11.7,  -9.46,  -7.14,  -5.52,  -4.36,  -3.42,
	    -2.52,  -1.64,  -0.92,   -0.5,  -0.22,   0.04,    0.3,
	     0.54,   0.72,   0.68,   0.32,  -0.52,  -1.22,  -1.86   },
	{  -12.68, -10.74,  -8.28,  -6.14,  -4.64,  -3.62,  -2.78,
	    -1.94,   -1.2,   -0.7,  -0.42,  -0.24,  -0.02,   0.24,
	     0.58,   0.86,   0.94,   0.68,      0,  -0.92,   -1.5   },
	{  -12.42,  -9.72,  -7.38,   -5.4,     -4,  -2.98,  -2.12,
	    -1.34,  -0.76,  -0.44,  -0.32,  -0.18,   0.02,   0.34,
	     0.74,   1.06,   1.24,   1.08,   0.48,  -0.52,  -1.88   },
	{  -11.44,  -9.08,  -6.58,  -4.78,  -3.48,  -2.46,  -1.56,
	    -0.82,  -0.38,  -0.22,  -0.16,  -0.06,    0.2,   0.56,
	     0.96,   1.36,   1.56,   1.46,    0.9,  -0.24,  -1.46   },
	{  -10.56,   -8.1,  -5.76,  -4.08,  -2.88,   -1.9,  -1.02,
	    -0.38,  -0.08,  -0.02,      0,   0.14,   0.44,   0.82,
	     1.24,   1.62,   1.82,   1.72,   1.16,   0.02,  -1.24   },
	{   -9.72,  -7.32,  -4.96,   -3.3,  -2.14,   -1.2,  -0.44,
	     0.04,    0.2,    0.2,   0.22,   0.44,   0.74,   1.14,
	     1.52,   1.86,      2,   1.82,   1.22,      0,  -1.22   },
	{   -9.58,  -6.78,  -4.36,   -2.6,  -1.36,  -0.46,   0.16,
	     0.46,    0.5,    0.5,   0.52,   0.74,   1.08,   1.46,
	     1.82,    2.1,   2.14,   1.84,    1.1,  -0.04,  -1.46   },
	{    -8.7,  -6.68,  -4.16,  -2.14,  -0.74,   0.22,   0.74,
	     0.92,   0.84,    0.8,   0.84,   1.08,   1.44,    1.8,
	     2.14,    2.3,    2.2,   1.74,   0.84,   -0.3,  -1.06   },
	{    -8.6,  -6.58,   -4.4,   -2.1,  -0.44,   0.66,   1.24,
	     1.36,   1.24,   1.16,   1.22,   1.48,   1.82,   2.16,
	      2.4,   2.42,   2.16,   1.52,   0.44,  -0.52,  -1.38   },
	{   -8.48,  -6.58,  -4.64,  -2.52,   -0.6,   0.76,   1.48,
	     1.66,   1.58,   1.52,   1.58,   1.82,   2.12,   2.38,
	      2.5,   2.38,   1.94,   1.12,   0.14,  -0.78,  -1.48   },
	{   -7.98,  -6.26,     -5,  -3.24,   -1.2,   0.42,   1.36,
	     1.76,   1.84,   1.82,   1.86,   2.04,    2.2,   2.32,
	     2.26,      2,   1.36,   0.38,  -0.26,  -0.72,  -1.38   },
	{   -6.88,  -6.18,  -5.04,  -3.54,  -2.08,  -0.38,   0.86,
	     1.54,    1.8,   1.92,   1.96,      2,      2,   1.86,
	     1.56,   1.08,    0.3,  -0.04,   -0.7,  -0.96,  -0.88   },
	{   -5.86,   -5.1,  -4.88,  -3.84,  -2.54,  -1.24,   -0.1,
	      0.9,   1.42,   1.66,    1.7,   1.62,   1.38,   0.94,
	      0.3,      0,  -0.46,  -0.74,   -0.9,  -0.48,  -0.54   },
	{   -4.22,  -4.22,  -3.64,  -3.72,  -2.64,   -1.8,  -0.92,
	    -0.02,   0.48,   1.02,   1.16,   0.94,   0.44,  -0.06,
	    -0.66,  -1.04,  -0.84,  -0.98,   -0.3,  -0.24,   0.46   },
	{   -3.06,  -2.82,  -3.02,  -2.62,  -2.62,  -2.04,  -1.38,
	    -0.52,   0.14,    0.4,   0.64,   0.34,      0,  -0.56,
	    -1.26,   -1.4,  -1.22,  -0.42,   -0.2,   0.66,   0.92   }
    },
    {
	{   -0.78,  -1.12,  -2.18,   -2.7,  -3.42,  -3.66,  -3.46,
	     -3.4,  -4.56,  -4.32,   -4.8,  -5.26,  -5.46,  -4.12,
	    -4.34,  -4.12,   -3.5,   -2.5,  -1.88,  -1.04,  -0.72   },
	{    -0.8,   -1.7,   -1.9,   -2.5,   -2.4,  -2.46,   -2.1,
	    -2.06,  -1.84,  -2.04,   -2.5,  -3.02,  -2.68,  -2.78,
	     -2.7,   -2.6,   -2.1,  -2.12,  -1.48,  -1.32,  -0.72   },
	{   -1.58,  -1.58,  -2.28,   -2.2,  -2.14,  -1.42,   -0.8,
	     -0.2,      0,  -0.06,  -0.26,  -0.42,  -0.52,  -0.62,
	    -0.86,  -1.06,  -1.34,  -1.58,   -1.6,   -1.1,   -1.2   },
	{   -1.82,  -2.18,  -2.04,  -1.78,   -1.2,  -0.24,   0.56,
	     0.94,   1.04,   0.96,   0.88,    0.9,   1.02,   1.14,
	     1.08,   0.72,  -0.22,  -0.36,   -1.2,   -1.4,  -1.44   },
	{   -2.44,  -1.96,  -1.92,  -1.04,  -0.32,   0.66,   1.18,
	     1.38,   1.36,   1.26,   1.24,   1.36,   1.62,   1.88,
	     2.04,    1.9,   1.28,   0.18,  -0.54,  -0.94,   -1.8   },
	{   -2.42,  -2.12,  -1.12,  -0.42,   0.56,   1.08,   1.28,
	     1.28,    1.2,   1.12,   1.14,   1.34,    1.7,   2.08,
	     2.36,   2.42,   2.04,   1.14,   0.04,   -1.1,   -1.9   },
	{   -2.06,  -1.22,  -0.42,    0.6,    1.1,   1.24,   1.16,
	     0.94,   0.76,   0.68,   0.82,   1.14,    1.6,   2.02,
	     2.38,   2.58,   2.46,   1.82,    0.5,  -0.62,  -1.72   },
	{   -1.38,  -0.62,   0.62,   1.28,   1.44,   1.26,   0.92,
	     0.54,   0.24,   0.14,   0.42,   0.88,   1.44,   1.94,
	     2.36,   2.68,   2.68,   2.28,   1.26,   -0.3,  -1.28   },
	{   -1.62,   0.04,    1.2,   1.68,   1.64,   1.26,   0.74,
	      0.2,  -0.16,  -0.24,   0.02,   0.62,    1.3,   1.92,
	     2.42,   2.76,   2.86,    2.6,   1.72,   0.18,  -1.86   },
	{   -1.04,    0.3,   1.44,   1.86,   1.76,    1.3,   0.68,
	     0.06,  -0.38,  -0.46,  -0.12,    0.5,   1.28,   1.98,
	     2.52,    2.9,      3,   2.74,    1.9,   0.26,  -1.38   },
	{   -1.24,   0.18,    1.4,    1.9,   1.84,    1.4,   0.78,
	     0.14,  -0.28,  -0.38,      0,   0.66,    1.4,   2.12,
	     2.72,   3.06,    3.1,   2.74,   1.88,   0.28,   -1.4   },
	{    -1.7,  -0.38,   1.12,   1.78,   1.88,   1.56,   1.04,
	      0.5,   0.14,   0.06,   0.38,   1.02,   1.74,   2.38,
	     2.92,   3.24,   3.18,   2.72,   1.78,   0.12,  -1.52   },
	{   -2.34,  -0.78,    0.6,   1.62,   1.98,   1.86,    1.5,
	     1.04,   0.74,   0.72,   1.04,   1.56,   2.16,    2.7,
	     3.14,   3.38,   3.28,   2.76,   1.64,   0.08,  -1.88   },
	{   -2.36,   -1.5,  -0.04,   1.38,   2.02,   2.14,   1.94,
	     1.64,   1.42,   1.44,    1.7,    2.1,   2.54,   2.98,
	     3.32,    3.5,   3.34,   2.68,   1.34,  -0.34,   -1.5   },
	{   -3.36,   -2.4,  -0.88,   0.92,    1.9,   2.28,    2.3,
	     2.12,   1.98,   2.02,   2.26,   2.58,   2.92,   3.22,
	     3.46,   3.48,   3.18,   2.32,   0.68,   -0.8,     -2   },
	{   -3.72,  -2.92,  -1.54,    0.1,   1.36,      2,   2.24,
	     2.28,   2.28,   2.42,   2.68,   2.96,   3.22,   3.38,
	      3.4,   3.18,   2.58,   1.46,  -0.04,   -1.2,  -2.36   },
	{   -3.82,  -3.06,   -2.4,  -1.46,   0.12,   1.08,    1.6,
	     1.96,   2.24,   2.54,   2.86,   3.14,    3.3,   3.28,
	     2.98,   2.38,   1.36,    0.1,  -0.92,  -1.38,  -2.38   },
	{   -3.34,  -3.76,  -3.48,  -2.42,  -1.92,  -0.76,   0.18,
	     0.94,   1.62,   2.22,    2.7,   2.96,   2.98,   2.66,
	     1.98,   0.94,  -0.02,  -0.72,  -1.48,  -1.86,  -1.88   },
	{    -3.3,   -3.3,  -4.14,  -3.96,  -3.62,  -2.84,   -2.3,
	    -0.96,   0.26,   1.28,   2.26,   2.18,      2,   1.38,
	     0.24,  -0.46,  -1.34,   -1.6,  -1.88,  -1.36,  -1.56   },
	{   -2.12,  -3.38,  -3.54,  -4.74,  -4.56,  -5.16,  -4.26,
	    -2.84,  -1.38,  -0.16,   0.56,   0.76,   0.34,  -0.26,
	     -1.2,  -2.04,   -1.8,  -2.06,  -1.16,  -1.18,  -0.38   },
	{   -1.94,   -2.3,  -3.78,  -4.24,  -5.64,   -5.9,   -5.5,
	    -3.76,  -2.42,  -1.54,   -0.8,  -0.74,   -0.6,   -1.1,
	    -2.12,   -2.5,  -2.44,  -1.42,  -1.16,   -0.1,   0.18   }
    },
    {
	{   -0.72,  -0.84,  -1.02,  -1.22,  -1.52,  -1.82,  -2.06,
	    -2.14,   -2.6,   -2.7,  -2.84,  -2.92,  -3.06,  -2.78,
	     -2.9,   -2.9,  -2.88,  -2.92,  -2.98,  -3.08,   -3.2   },
	{   -0.46,  -0.64,   -0.8,  -1.06,  -1.26,  -1.62,  -1.76,
	     -1.9,     -2,  -2.24,  -2.34,  -2.46,  -2.44,  -2.54,
	     -2.6,   -2.7,  -2.64,  -2.74,  -2.76,  -2.86,  -2.94   },
	{   -0.28,  -0.42,  -0.66,  -0.86,  -1.12,  -1.24,  -1.42,
	    -1.46,   -1.6,  -1.74,  -1.88,  -1.98,  -2.06,  -2.14,
	    -2.36,   -2.4,  -2.52,  -2.56,  -2.62,  -2.64,  -2.74   },
	{   -0.12,  -0.28,  -0.48,  -0.62,   -0.8,   -0.9,  -0.98,
	    -1.16,  -1.34,  -1.54,  -1.68,   -1.8,  -1.88,  -1.94,
	       -2,   -2.1,  -2.28,  -2.34,  -2.48,  -2.54,  -2.58   },
	{   -0.04,   -0.1,  -0.34,  -0.42,   -0.5,   -0.6,  -0.76,
	       -1,  -1.22,  -1.38,  -1.52,  -1.64,  -1.74,   -1.8,
	    -1.78,  -1.84,  -1.98,  -2.18,   -2.4,  -2.38,  -2.52   },
	{    0.04,   -0.1,  -0.08,  -0.14,   -0.2,  -0.42,  -0.62,
	    -0.82,  -1.02,   -1.2,  -1.34,  -1.46,  -1.52,   -1.6,
	    -1.64,  -1.68,  -1.74,  -1.96,  -2.14,  -2.44,  -2.46   },
	{    0.18,    0.2,    0.1,   0.14,  -0.04,  -0.26,  -0.46,
	    -0.64,   -0.8,  -0.98,   -1.1,  -1.24,  -1.32,  -1.42,
	    -1.48,   -1.5,   -1.5,   -1.6,  -1.92,  -2.12,   -2.3   },
	{    0.44,   0.34,   0.48,   0.36,   0.14,   -0.1,  -0.28,
	    -0.42,  -0.58,  -0.74,  -0.84,  -0.94,  -1.08,  -1.16,
	    -1.26,  -1.28,  -1.32,  -1.34,   -1.5,  -1.84,  -1.98   },
	{    0.22,   0.62,   0.76,   0.62,   0.38,   0.12,  -0.06,
	    -0.18,  -0.32,  -0.44,  -0.54,  -0.66,  -0.78,  -0.92,
	       -1,  -1.06,   -1.1,   -1.1,  -1.18,  -1.52,  -2.08   },
	{     0.5,    0.7,   0.96,   0.82,   0.62,   0.36,   0.18,
	     0.06,  -0.04,  -0.16,  -0.26,  -0.36,   -0.5,  -0.62,
	    -0.74,   -0.8,  -0.88,  -0.88,  -0.96,  -1.34,  -1.76   },
	{    0.76,   1.04,   1.24,    1.1,   0.88,   0.64,   0.44,
	     0.32,    0.2,    0.1,      0,  -0.08,   -0.2,  -0.32,
	    -0.46,  -0.56,  -0.62,  -0.66,  -0.76,  -1.16,  -1.64   },
	{    1.04,   1.26,   1.56,   1.42,   1.18,   0.94,   0.74,
	     0.58,   0.46,   0.38,   0.28,   0.22,    0.1,  -0.02,
	    -0.14,  -0.24,  -0.36,  -0.46,  -0.64,  -1.14,   -1.6   },
	{     1.3,   1.72,   1.88,   1.78,   1.54,   1.28,   1.04,
	     0.86,   0.74,   0.64,   0.56,    0.5,    0.4,   0.28,
	     0.16,      0,   -0.1,   -0.3,  -0.62,  -1.18,  -1.78   },
	{     2.1,      2,   2.18,   2.16,   1.94,   1.68,    1.4,
	      1.2,   1.04,   0.96,   0.88,    0.8,   0.72,    0.6,
	     0.48,   0.34,    0.1,  -0.22,   -0.8,  -1.42,  -1.76   },
	{    2.34,   2.34,   2.36,   2.52,   2.36,   2.12,   1.84,
	      1.6,    1.4,    1.3,   1.22,   1.14,   1.04,   0.94,
	      0.8,   0.62,   0.28,  -0.26,  -1.16,  -1.78,  -2.18   },
	{    2.82,   2.66,   2.76,   2.78,   2.78,   2.58,    2.3,
	     2.04,   1.82,    1.7,    1.6,    1.5,   1.38,   1.28,
	      1.1,   0.84,   0.34,   -0.5,  -1.14,  -2.02,  -2.08   },
	{    3.38,   3.32,    3.1,   3.06,   3.06,   2.98,   2.76,
	     2.52,   2.28,    2.1,   1.98,   1.86,   1.76,    1.6,
	      1.4,      1,   0.26,  -0.42,  -1.24,  -1.44,  -1.74   },
	{    3.98,   3.74,   3.54,   3.44,   3.24,    3.2,   3.12,
	     2.92,   2.68,   2.46,   2.28,   2.16,   2.04,   1.84,
	     1.56,      1,    0.3,  -0.36,  -0.72,   -1.1,  -0.92   },
	{    4.44,   4.28,   3.96,   3.72,   3.46,   3.34,   3.14,
	     3.08,   2.86,    2.6,    2.4,   2.24,   2.08,   1.88,
	      1.5,   0.98,    0.4,  -0.02,   -0.4,  -0.32,  -0.54   },
	{    4.88,    4.7,    4.5,   4.12,   3.88,   3.42,   3.24,
	     3.12,   2.94,    2.8,   2.58,   2.32,   2.02,    1.8,
	     1.44,   1.08,    0.7,   0.28,   0.24,   0.04,   0.16   },
	{    5.22,    5.1,   4.88,   4.62,    4.2,   3.86,   3.58,
	     3.44,   3.26,   3.06,   2.84,    2.5,   2.22,   1.92,
	     1.56,   1.28,   0.98,   0.82,   0.58,   0.68,   0.54   }
    }
};


/* the extrapolated node flag array is specified here in "bs coordinates"

   [node count (x)][node count (y)] 
	= [21][21]
*/
static const int extrapFlags[21][21] = {
    { 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1 },
    { 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1 },
    { 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1 },
    { 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1 },
    { 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1 },
    { 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1 },
    { 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1 },
    { 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1 },
    { 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1 },
    { 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1 },
    { 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1 },
    { 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1 },
    { 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1 },
    { 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1 },
    { 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1 },
    { 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1 },
    { 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1 },
    { 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1 },
    { 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1 },
    { 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1 },
    { 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1 }
};

	/* local function declarations */

int getDetectorPositionInCArray(char *stackDetectorID);
void getLowerLeftNearestNode(float x, float y, int* lowerLeftNodesIAndJ);
int countExtrapolatedNodesUsed(int iLowerLeft, int jLowerLeft);
double interpolateDtFromInterferMaps(int detector,
			int iLowerLeft, int jLowerLeft, float x, float y);
int getDetectorNumberFromPositionInInstrument(int partition,
					int partitionDepth, int telescope);

	/* main routine */

struct dblAndInt getSisThickness(char* stackDetectorID, double x, double y) {
    struct dblAndInt dtAndExtrapCount, thicknessAndExtrapCount;
    double thickness;
    int detectorPositionInCArray, detectorNumber;
    int iLowerLeft, jLowerLeft;

    detectorPositionInCArray = getDetectorPositionInCArray(stackDetectorID);
    detectorNumber = detectors[detectorPositionInCArray];

    {
	int lowerLeftNearestNode[2];
	getLowerLeftNearestNode(x, y, lowerLeftNearestNode);
	iLowerLeft = lowerLeftNearestNode[0];
	jLowerLeft = lowerLeftNearestNode[1];
    }

    dtAndExtrapCount.i = countExtrapolatedNodesUsed(iLowerLeft, jLowerLeft);
    dtAndExtrapCount.dbl =
	interpolateDtFromInterferMaps(detectorPositionInCArray,
                                                iLowerLeft, jLowerLeft, x, y);

    thickness = dtAndExtrapCount.dbl;
    thickness += readBaseThickness(detectorNumber);

    thicknessAndExtrapCount.dbl = thickness;
    thicknessAndExtrapCount.i = dtAndExtrapCount.i;

    return thicknessAndExtrapCount;
}

double interpolateDtFromInterferMaps(int detectorPositionInCArray,
			int iLowerLeft, int jLowerLeft, float x, float y) {

/*
               ---     o                               o
                |       10                           11
                |
                |      |-----  dx  ------>     + (x, y)
 
      NODE_SEPARATION_IN_Y                     ^
                                               |
                |                              dy
                |                              |
                |       00                     |     01
               ---     o                       -       o
                   (xNodes(i), yNodes(j))
 
                       |----- NODE_SEPARATION_IN_X ----|
 
                where i,j denotes lower left node.
*/

    double dt00, dt01, dt10, dt11, dtAtXY;
    double dx, dy;

    dt00 = dt[detectorPositionInCArray][iLowerLeft][jLowerLeft];
    dt01 = dt[detectorPositionInCArray][iLowerLeft + 1][jLowerLeft];
    dt10 = dt[detectorPositionInCArray][iLowerLeft][jLowerLeft + 1];
    dt11 = dt[detectorPositionInCArray][iLowerLeft + 1][jLowerLeft + 1];

    dx = (x - xNodes[iLowerLeft]) / (float) NODE_SEPARATION_IN_X;
    dy = (y - yNodes[jLowerLeft]) / (float) NODE_SEPARATION_IN_Y;

    dtAtXY = ((1. - dx) * (1. - dy) * dt00) + (dx * (1. - dy) * dt01) +
	     ((1. - dx) * dy * dt10)       + (dx * dy * dt11);

    if ((x < xNodes[0]) || (x > xNodes[X_NODE_COUNT - 1]) ||
			(y < yNodes[0]) || (y > yNodes[Y_NODE_COUNT - 1])) {
	fprintf(stderr, "getSisThickness.getLowerLeftNearestNode:\n");
	fprintf(stderr, "\tPoint (%f,%f) outside extrapolated region.\n", x, y);
	fprintf(stderr, "Exiting.\n\n", x, y);
	exit(0);
    }

    return dtAtXY;
}

void getLowerLeftNearestNode(float x, float y, int* lowerLeftNodesIAndJ) {
    float xFromMinX, yFromMinY;

    xFromMinX = x - xNodes[0];
    yFromMinY = y - yNodes[0];

    lowerLeftNodesIAndJ[0] = (int) xFromMinX / NODE_SEPARATION_IN_X;
    lowerLeftNodesIAndJ[1] = (int) yFromMinY / NODE_SEPARATION_IN_Y;
}

	/* returns position of detector in detectors[] array */

int getDetectorPositionInCArray(char *stackDetectorID) {
    int detectorLocationInfo[3];
    int partition, partitionDepth, telescope;
    int sisDetectorNumber, detectorIndex;

    parseStackDetectorID(stackDetectorID, detectorLocationInfo);
    partition = detectorLocationInfo[0];
    partitionDepth = detectorLocationInfo[1];
    telescope = detectorLocationInfo[2];

    sisDetectorNumber = getDetectorNumberFromPositionInInstrument(partition,
						partitionDepth, telescope);
    detectorIndex = DETECTOR_COUNT / 2;
    while (sisDetectorNumber!= detectors[detectorIndex]) {
	if (sisDetectorNumber < detectors[detectorIndex]) detectorIndex--;
	else detectorIndex++;
	if ((detectorIndex < 0) || (detectorIndex >= DETECTOR_COUNT)) {
	    fprintf(stderr, "getSisThickness: detector %d not found.\n",
							sisDetectorNumber);
	    exit(0);
	}
    }
    return detectorIndex;
}

int getDetectorNumberFromPositionInInstrument(int partition,
					int partitionDepth, int telescope) {
    int detectorIDFormatError = 0;

    if ((partition < 1) || (partition > 8)) detectorIDFormatError = 1;
    if ((partitionDepth < 1) || (partitionDepth > 6)) detectorIDFormatError = 1;
    if ((telescope < 1) || (telescope > 2)) detectorIDFormatError = 1;
    if (!detectorIDFormatError) {
	int detectorNum = detectorsByInstrumentPosition[telescope - 1]
					[partition - 1] [partitionDepth - 1];
	if (detectorNum >= 0) return detectorNum;
    }

    fprintf(stderr,
	"getSisThickness.getDetectorNumberFromPositionInInstrument:\n");
    fprintf(stderr, "\tInvalid detector positions.\n");
    exit(0);
}

int countExtrapolatedNodesUsed(int iLowerLeft, int jLowerLeft) {
    int extrapNodesCount = 0;
	/* lower left */
    if (extrapFlags[iLowerLeft][jLowerLeft]) extrapNodesCount++;
	/* upper left */
    if (extrapFlags[iLowerLeft][jLowerLeft+1]) extrapNodesCount++;
	/* lower right */
    if (extrapFlags[iLowerLeft+1][jLowerLeft]) extrapNodesCount++;
	/* upper right */
    if (extrapFlags[iLowerLeft+1][jLowerLeft+1]) extrapNodesCount++;
    return extrapNodesCount;
}
